Index: index.xml
===================================================================
--- index.xml	(revision f44e6dd4f2174ac88dc72fca7b7c6d8f4b785346)
+++ index.xml	(revision 5530bb7646e0b5dcfc87446f0f1228fb8213923b)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040317">
-<!ENTITY releasedate "March 17th, 2004">
+<!ENTITY version "CVS-20040318">
+<!ENTITY releasedate "March 18th, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f44e6dd4f2174ac88dc72fca7b7c6d8f4b785346)
+++ introduction/welcome/changelog.xml	(revision 5530bb7646e0b5dcfc87446f0f1228fb8213923b)
@@ -11,4 +11,6 @@
 
 <itemizedlist>
+
+<listitem><para>March 18th, 2004 [igor]: Updated to KDE-3.2.1.</para></listitem>
 
 <listitem><para>March 17th, 2004 [tushar]: Update to Xvid-1.0.0-rc3.</para></listitem>
Index: kde/inst/kde-base.xml
===================================================================
--- kde/inst/kde-base.xml	(revision f44e6dd4f2174ac88dc72fca7b7c6d8f4b785346)
+++ kde/inst/kde-base.xml	(revision 5530bb7646e0b5dcfc87446f0f1228fb8213923b)
@@ -66,20 +66,24 @@
 
 <para>Major programs in <application>kdebase</application> include 
-<command>kdesktop</command>,
-<command>kaddressbook</command>,
-<command>kappfinder</command>,
+<command>kate</command>,
 <command>kcontrol</command>,
+<command>kdebugdialog</command>,
 <command>kdeprint</command>,
+<command>kdesu</command>,
 <command>kdm</command>,
 <command>kfind</command>,
 <command>khelpcenter</command>,
-<command>khotkeys</command>,
 <command>kicker</command>,
+<command>kinfocenter</command>,
+<command>kioslave</command>,
 <command>klipper</command>,
 <command>kmenuedit</command>,
 <command>konqueror</command>,
 <command>konsole</command>,
-<command>kscreensaver</command> and 
-<command>ktip</command>.
+<command>kpager</command>,
+<command>ksplashml</command>,
+<command>ksysguard</command>,
+<command>kwrite</command> and
+<command>kxkb</command>.
 </para>
 
@@ -88,21 +92,22 @@
 <sect2><title>Description</title>
 
-<sect3><title>kdesktop</title>
-<para><command>kdesktop</command> is the program that handles desktop icons, popup menus, and the
-screensaver system.</para></sect3>
-
-<sect3><title>kaddressbook</title>
-<para><command>kaddressbook</command> is a simple addressbook.</para></sect3>
-
-<sect3><title>kappfinder</title>
-<para><command>kappfinder</command>is an utility to add
-non-<acronym>KDE</acronym> applications to K-menu.</para></sect3>
+<sect3><title>kate</title>
+<para><command>kate</command> is a programmer's text editor for
+<acronym>KDE</acronym>.</para></sect3>
 
 <sect3><title>kcontrol</title>
-<para><command>kcontrol</command>is <acronym>KDE</acronym> Control
+<para><command>kcontrol</command> is <acronym>KDE</acronym> Control
 Center.</para></sect3>
+
+<sect3><title>kdebugdialog</title>
+<para><command>kdebugdialog</command> is a dialog box for managing
+diagnostic messages at runtime.</para></sect3>
  
 <sect3><title>kdeprint</title>
 <para><command>kdeprint</command> provides Print job administration.</para></sect3>
+
+<sect3><title>kdesu</title>
+<para><command>kdesu</command> is a graphical front end for the
+Unix <command>su</command> command.</para></sect3>
 
 <sect3><title>kdm</title>
@@ -117,11 +122,12 @@
 tool.</para></sect3>
 
-<sect3><title>khotkeys</title>
-<para><command>khotkeys</command> handles hot keys for
-<acronym>KDE</acronym>.</para></sect3>
-
 <sect3><title>kicker</title>
 <para><command>kicker</command> is the <acronym>KDE</acronym> control
 panel.</para></sect3> 
+
+<sect3><title>kinfocenter</title>
+<para><command>kinfocenter</command> provides a centralized
+and convenient overview of your <acronym>KDE</acronym> and system
+settings.</para></sect3>
 
 <sect3><title>klipper</title>
@@ -139,11 +145,24 @@
 emulator.</para></sect3>
 
-<sect3><title>kscreensaver</title>
-<para><command>kscreensaver</command> is a program to set up
-screensavers.</para></sect3>
+<sect3><title>kpager</title>
+<para><command>kpager</command> provides a thumbnail view of all
+virtual desktops.</para></sect3>
 
-<sect3><title>ktip</title>
-<para><command>ktip</command> is a wizard to provide hints and
-<acronym>KDE</acronym> information.</para></sect3> 
+<sect3><title>ksplashml</title>
+<para><command>ksplashml</command> is a splash screen that
+shows the progress of an application that is loading.</para></sect3>
+
+<sect3><title>ksysguard</title>
+<para><command>ksysguard</command> is a network enabled task manager
+and system monitor application, with the additional functionality of
+<command>top</command>.</para></sect3>
+
+<sect3><title>kwrite</title>
+<para><command>kwrite</command> is a text editor for
+<acronym>KDE</acronym>.</para></sect3>
+
+<sect3><title>kxkb</title>
+<para><command>kxkb</command> is a keyboard layout switching 
+utility based on X11 xkb extension.</para></sect3>
 
 </sect2>
Index: kde/inst/kde-libs.xml
===================================================================
--- kde/inst/kde-libs.xml	(revision f44e6dd4f2174ac88dc72fca7b7c6d8f4b785346)
+++ kde/inst/kde-libs.xml	(revision 5530bb7646e0b5dcfc87446f0f1228fb8213923b)
@@ -19,10 +19,4 @@
 <listitem><para>Estimated build time: &kde-libs-time;</para></listitem></itemizedlist>
 </sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink
-url="&patch-root;/kdelibs-&kde-version;-bug73041.patch"/></para></listitem>
-</itemizedlist></sect3>
 
 <sect3><title><application>kdelibs</application> dependencies</title>
@@ -53,13 +47,6 @@
 <title>Installation of <application>kdelibs</application></title>
 
-<!-- 
-<warning><para>The <acronym>KDE</acronym> instructions are being revised. The instructions should
-work as described in the following sections, but not all KDE packages
-have been validated.</para></warning>
--->
-
 <para>Install <application>kdelibs</application> with:</para>
-<screen><userinput><command>patch -Np1 -i ../kdelibs-&kde-version;-bug73041.patch &amp;&amp;
-./configure --prefix=&kde-dir; --disable-debug \
+<screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking --enable-fast-malloc=full --disable-pcre &amp;&amp;
 make &amp;&amp;
Index: kde/inst/kde-multimedia.xml
===================================================================
--- kde/inst/kde-multimedia.xml	(revision f44e6dd4f2174ac88dc72fca7b7c6d8f4b785346)
+++ kde/inst/kde-multimedia.xml	(revision 5530bb7646e0b5dcfc87446f0f1228fb8213923b)
@@ -45,6 +45,4 @@
 <screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
-sed -i -e 's/strings -ansi/strings/' kaudiocreator/Makefile &amp;&amp;
-sed -i -e 's/strings -ansi/strings/' kioslave/audiocd/Makefile &amp;&amp;
 sed -i -e 's/-ansi//' kscd/libwm/Makefile &amp;&amp;
 make &amp;&amp;
@@ -56,4 +54,5 @@
 <title>Command explanations</title>
 
+<!--
 <para><command>sed -i -e 's/strings -ansi/strings/' kaudiocreator/Makefile</command> : 
 Remove <parameter>-ansi</parameter> from <application>gcc</application> parameters to work around
@@ -64,4 +63,5 @@
 Remove <parameter>-ansi</parameter> from <application>gcc</application> parameters to work around
 a broken header in the kernel.</para>
+-->
 
 <para><command>sed -i -e 's/-ansi//' kscd/libwm/Makefile</command> : 
@@ -74,6 +74,6 @@
 <title>Configuring kdemultimedia</title>
 
-<para>There is no explicit configuration for the kde multimedia package, 
-however Kscd needs to find the CD drive. The default 
+<para>There is no explicit configuration for the kdemultimedia package, 
+however <command>kscd</command> needs to find the CD drive. The default 
 is <filename>/dev/cdrom</filename> which may not exist on your system.  The 
 easiest way to do this is to create a symbolic link to this from your CD 
@@ -90,6 +90,6 @@
 
 <para>Major programs in <application>kdemultimedia</application> include
-<command>aktion</command>,
 <command>artsbuilder</command>,
+<command>juk</command>,
 <command>kaboodle</command>,
 <command>kmid</command>,
@@ -104,6 +104,7 @@
 <sect2><title>Description</title>
 
-<sect3><title>aktion</title>
-<para><command>aktion</command> is a video player.</para></sect3>
+<sect3><title>juk</title>
+<para><command>juk</command> is a jukebox, tagger and music
+collection manager.</para></sect3>
 
 <sect3><title>kaboodle</title>
Index: kde/inst/kde-pim.xml
===================================================================
--- kde/inst/kde-pim.xml	(revision f44e6dd4f2174ac88dc72fca7b7c6d8f4b785346)
+++ kde/inst/kde-pim.xml	(revision 5530bb7646e0b5dcfc87446f0f1228fb8213923b)
@@ -14,10 +14,4 @@
 <listitem><para>Estimated build time: &kde-pim-time;</para></listitem></itemizedlist>
 </sect3>
-
-<sect3><title>Additional downloads</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Required Patch: <ulink
-url="&patch-root;/kdepim-&kde-version;-kmail.patch"/></para></listitem>
-</itemizedlist></sect3>
 
 <sect3><title><application>kdepim</application> dependencies</title>
@@ -42,6 +36,5 @@
 
 <para>Install <application>kdepim</application> with:</para>
-<screen><userinput><command>patch -Np1 -i ../kdepim-&kde-version;-kmail.patch &amp;&amp;
-./configure --prefix=&kde-dir; --disable-debug \
+<screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
 make &amp;&amp;
@@ -54,11 +47,17 @@
 
 <para>Major programs in <application>kdepim</application> include
+<command>kaddressbook</command>,
 <command>kalarm</command>,
 <command>kandy</command>,
 <command>karm</command>,
+<command>kgpgcertmanager</command>,
+<command>kmail</command>,
+<command>knode</command>,
 <command>knotes</command>,
+<command>konsolekalendar</command>,
+<command>kontact</command>
 <command>korganizer</command>,
-<command>kpilot</command> and
-<command>libical</command>.
+<command>korn</command> and
+<command>kpilot</command>.
 </para>
 
@@ -66,4 +65,8 @@
 
 <sect2><title>Description</title>
+
+<sect3><title>kaddressbook</title>
+<para><command>kaddressbook</command> is the <acronym>KDE</acronym> address
+book.</para></sect3>
 
 <sect3><title>kalarm</title>
@@ -77,9 +80,32 @@
 <para><command>karm</command> is a personal time tracker.</para></sect3>
 
+<sect3><title>kgpgcertmanager</title>
+<para><command>kgpgcertmanager</command> is a tool for managing X509
+certificates.</para></sect3>
+
+<sect3><title>kmail</title>
+<para><command>kmail</command> is <acronym>KDE</acronym>'s email client.</para></sect3>
+
+<sect3><title>knode</title>
+<para><command>knode</command> is the <acronym>KDE</acronym>
+newsreader.</para></sect3>
+
 <sect3><title>knotes</title>
 <para><command>knotes</command> is a popup notes utility.</para></sect3>
 
+<sect3><title>konsolekalendar</title>
+<para><command>konsolekalendar</command> is a command line interface
+to <acronym>KDE</acronym> calendars.</para></sect3>
+
+<sect3><title>kontact</title>
+<para><command>kontact</command> is the integrated solution to
+personal information management (PIM) needs.</para></sect3>
+
 <sect3><title>korganizer</title>
 <para><command>korganizer</command> is a personal calendar/todo system.</para></sect3>
+
+<sect3><title>korn</title>
+<para><command>korn</command> is a <acronym>KDE</acronym> mail checker that has the
+capabilities to dock itself to <command>kicker</command>.</para></sect3>
 
 <sect3><title>kpilot</title>
@@ -87,7 +113,4 @@
 Palm-Pilot.</para></sect3>
 
-<sect3><title>libical</title>
-<para><command>libical</command> is a calendar library.</para></sect3>
-
 </sect2>
 </sect1>
Index: kde/kde.ent
===================================================================
--- kde/kde.ent	(revision f44e6dd4f2174ac88dc72fca7b7c6d8f4b785346)
+++ kde/kde.ent	(revision 5530bb7646e0b5dcfc87446f0f1228fb8213923b)
@@ -2,6 +2,6 @@
 <!ENTITY kde-intro SYSTEM "kde-intro.xml">
 
-<!ENTITY kde-version "3.2.0">
-<!ENTITY kde-dldir "3.2">
+<!ENTITY kde-version "3.2.1">
+<!ENTITY kde-dldir "&kde-version;">
 <!ENTITY kde-download-http "http://mirrors.isc.org/pub/kde/stable/&kde-dldir;/src">
 <!ENTITY kde-download-ftp "ftp://ftp.kde.org/pub/kde/stable/&kde-dldir;/src">
@@ -13,10 +13,10 @@
 
 <!ENTITY kde-core-arts SYSTEM "core/arts.xml">
-<!ENTITY arts-version "1.2.0">
+<!ENTITY arts-version "1.2.1">
 <!ENTITY arts-download-http "&kde-download-http;/arts-&arts-version;.tar.bz2">
 <!ENTITY arts-download-ftp "&kde-download-ftp;/arts-&arts-version;.tar.bz2">
-<!ENTITY arts-size "971 KB">
+<!ENTITY arts-size "1016 KB">
 <!ENTITY arts-buildsize "24 MB">
-<!ENTITY arts-time "1.58 SBU">
+<!ENTITY arts-time "1.60 SBU">
 
 <!-- KDE Additional -->
@@ -37,7 +37,7 @@
 <!ENTITY kde-libs-download-http "&kde-download-http;/kdelibs-&kde-version;.tar.bz2">
 <!ENTITY kde-libs-download-ftp "&kde-download-ftp;/kdelibs-&kde-version;.tar.bz2">
-<!ENTITY kde-libs-size "12 MB">
-<!ENTITY kde-libs-buildsize "158 MB">
-<!ENTITY kde-libs-time "15.07 SBU">
+<!ENTITY kde-libs-size "13 MB">
+<!ENTITY kde-libs-buildsize "160 MB">
+<!ENTITY kde-libs-time "12.3 SBU">
 
 <!ENTITY kde-base SYSTEM "inst/kde-base.xml">
@@ -45,6 +45,6 @@
 <!ENTITY kde-base-download-ftp "&kde-download-ftp;/kdebase-&kde-version;.tar.bz2">
 <!ENTITY kde-base-size "17 MB">
-<!ENTITY kde-base-buildsize "173 MB">
-<!ENTITY kde-base-time "19.13 SBU">
+<!ENTITY kde-base-buildsize "172 MB">
+<!ENTITY kde-base-time "15.9 SBU">
 
 <!ENTITY kde-multimedia SYSTEM "inst/kde-multimedia.xml">
@@ -53,12 +53,12 @@
 <!ENTITY kde-multimedia-size "4.7 MB">
 <!ENTITY kde-multimedia-buildsize "78 MB">
-<!ENTITY kde-multimedia-time "8.20 SBU">
+<!ENTITY kde-multimedia-time "8.18 SBU">
 
 <!ENTITY kde-network SYSTEM "inst/kde-network.xml">
 <!ENTITY kde-network-download-http "&kde-download-http;/kdenetwork-&kde-version;.tar.bz2">
 <!ENTITY kde-network-download-ftp "&kde-download-ftp;/kdenetwork-&kde-version;.tar.bz2">
-<!ENTITY kde-network-size "5.9 MB">
+<!ENTITY kde-network-size "6.0 MB">
 <!ENTITY kde-network-buildsize "67 MB">
-<!ENTITY kde-network-time "3.24 SBU">
+<!ENTITY kde-network-time "3.21 SBU">
 
 <!ENTITY kde-graphics SYSTEM "inst/kde-graphics.xml">
@@ -67,5 +67,5 @@
 <!ENTITY kde-graphics-size "5.5 MB">
 <!ENTITY kde-graphics-buildsize "71 MB">
-<!ENTITY kde-graphics-time "7.88 SBU">
+<!ENTITY kde-graphics-time "8.12 SBU">
 
 <!ENTITY kde-pim SYSTEM "inst/kde-pim.xml">
@@ -73,13 +73,13 @@
 <!ENTITY kde-pim-download-ftp "&kde-download-ftp;/kdepim-&kde-version;.tar.bz2">
 <!ENTITY kde-pim-size "7.4 MB">
-<!ENTITY kde-pim-buildsize "109 MB">
-<!ENTITY kde-pim-time "12.25 SBU">
+<!ENTITY kde-pim-buildsize "110 MB">
+<!ENTITY kde-pim-time "12.2 SBU">
 
 <!ENTITY kde-admin SYSTEM "inst/kde-admin.xml">
 <!ENTITY kde-admin-download-http "&kde-download-http;/kdeadmin-&kde-version;.tar.bz2">
 <!ENTITY kde-admin-download-ftp "&kde-download-ftp;/kdeadmin-&kde-version;.tar.bz2">
-<!ENTITY kde-admin-size "1.5 MB">
+<!ENTITY kde-admin-size "1.6 MB">
 <!ENTITY kde-admin-buildsize "16 MB">
-<!ENTITY kde-admin-time "1.57 SBU">
+<!ENTITY kde-admin-time "1.09 SBU">
 
 <!ENTITY kde-games SYSTEM "inst/kde-games.xml">
@@ -88,5 +88,5 @@
 <!ENTITY kde-games-size "8.7 MB">
 <!ENTITY kde-games-buildsize "68 MB">
-<!ENTITY kde-games-time "4.60 SBU">
+<!ENTITY kde-games-time "4.47 SBU">
 
 <!ENTITY kde-utils SYSTEM "inst/kde-utils.xml">
@@ -95,5 +95,5 @@
 <!ENTITY kde-utils-size "2.5 MB">
 <!ENTITY kde-utils-buildsize "41 MB">
-<!ENTITY kde-utils-time "4.45 SBU">
+<!ENTITY kde-utils-time "3.97 SBU">
 
 <!ENTITY kde-edu SYSTEM "inst/kde-edu.xml">
@@ -101,6 +101,6 @@
 <!ENTITY kde-edu-download-ftp "&kde-download-ftp;/kdeedu-&kde-version;.tar.bz2">
 <!ENTITY kde-edu-size "22 MB">
-<!ENTITY kde-edu-buildsize "90 MB">
-<!ENTITY kde-edu-time "4.46 SBU">
+<!ENTITY kde-edu-buildsize "91 MB">
+<!ENTITY kde-edu-time "4.19 SBU">
 
 <!ENTITY kde-artwork SYSTEM "inst/kde-artwork.xml">
@@ -109,19 +109,19 @@
 <!ENTITY kde-artwork-size "17 MB">
 <!ENTITY kde-artwork-buildsize "57 MB">
-<!ENTITY kde-artwork-time "1.91 SBU">
+<!ENTITY kde-artwork-time "1.94 SBU">
 
 <!ENTITY kde-toys SYSTEM "inst/kde-toys.xml">
 <!ENTITY kde-toys-download-http "&kde-download-http;/kdetoys-&kde-version;.tar.bz2">
 <!ENTITY kde-toys-download-ftp "&kde-download-ftp;/kdetoys-&kde-version;.tar.bz2">
-<!ENTITY kde-toys-size "2.3 MB">
+<!ENTITY kde-toys-size "2.4 MB">
 <!ENTITY kde-toys-buildsize "14 MB">
-<!ENTITY kde-toys-time "0.97 SBU">
+<!ENTITY kde-toys-time "0.96 SBU">
 
 <!ENTITY kde-addons SYSTEM "inst/kde-addons.xml">
 <!ENTITY kde-addons-download-http "&kde-download-http;/kdeaddons-&kde-version;.tar.bz2">
 <!ENTITY kde-addons-download-ftp "&kde-download-ftp;/kdeaddons-&kde-version;.tar.bz2">
-<!ENTITY kde-addons-size "1.3 MB">
-<!ENTITY kde-addons-buildsize "31 MB">
-<!ENTITY kde-addons-time "4.40 SBU">
+<!ENTITY kde-addons-size "1.4 MB">
+<!ENTITY kde-addons-buildsize "32 MB">
+<!ENTITY kde-addons-time "4.62 SBU">
 
 <!--