Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/add/add.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -15,6 +15,6 @@
 &yelp;
 &bug-buddy;
+&gedit;
 &eog;
-&gedit;
 &gnome-media;
 &gnome2-user-docs;
Index: gnome/add/bug-buddy/bug-buddy-exp.xml
===================================================================
--- gnome/add/bug-buddy/bug-buddy-exp.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/add/bug-buddy/bug-buddy-exp.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -2,7 +2,7 @@
 <title>Command explanations</title>
 
-<para><userinput>--localstatedir=/var/lib :</userinput> This command
+<para><userinput>--localstatedir=/var/lib</userinput> : This switch
 puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
-instead of <filename>/opt/gnome2/var/scrollkeeper</filename>.</para>
+instead of <filename>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
 </sect2>
Index: gnome/add/bug-buddy/bug-buddy-inst.xml
===================================================================
--- gnome/add/bug-buddy/bug-buddy-inst.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/add/bug-buddy/bug-buddy-inst.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -4,5 +4,5 @@
 <para>Install bug-buddy by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --localstatedir=/var/lib &amp;&amp;
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --localstatedir=/var/lib &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/add/bug-buddy/bug-buddy.ent
===================================================================
--- gnome/add/bug-buddy/bug-buddy.ent	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/add/bug-buddy/bug-buddy.ent	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -5,7 +5,7 @@
 <!ENTITY bug-buddy-desc SYSTEM "bug-buddy-desc.xml">
 <!ENTITY bug-buddy-config SYSTEM "bug-buddy-config.xml">
-<!ENTITY bug-buddy-buildsize "3.9 MB">
-<!ENTITY bug-buddy-version "2.2.0">
-<!ENTITY bug-buddy-download-http "http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/2.2/bug-buddy-2.2.0.tar.bz2">
-<!ENTITY bug-buddy-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/bug-buddy/2.2/bug-buddy-2.2.0.tar.bz2">
-<!ENTITY bug-buddy-size "524 KB">
+<!ENTITY bug-buddy-buildsize "4.6 MB">
+<!ENTITY bug-buddy-version "2.2.102">
+<!ENTITY bug-buddy-download-http "http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/2.2/bug-buddy-2.2.102.tar.bz2">
+<!ENTITY bug-buddy-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/bug-buddy/2.2/bug-buddy-2.2.102.tar.bz2">
+<!ENTITY bug-buddy-size "476 KB">
Index: gnome/add/gedit/gedit-exp.xml
===================================================================
--- gnome/add/gedit/gedit-exp.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/add/gedit/gedit-exp.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -2,11 +2,11 @@
 <title>Command explanations</title>
 
-<para><userinput>--localstatedir=/var/lib :</userinput> This command
+<para><userinput>--localstatedir=/var/lib</userinput> : This switch
 puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
-instead of <filename>/opt/gnome2/var/scrollkeeper</filename>.</para>
+instead of <filename>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
-<para><userinput>--sysconfdir=/etc/gnome :</userinput> This command puts
+<para><userinput>--sysconfdir=/etc/gnome</userinput> : This switch puts
 configuration files in <filename>/etc/gnome</filename> instead of
-<filename>/opt/gnome2/etc</filename>.</para>
+<filename>$GNOME_PREFIX/etc</filename>.</para>
 
 </sect2>
Index: gnome/add/gedit/gedit-inst.xml
===================================================================
--- gnome/add/gedit/gedit-inst.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/add/gedit/gedit-inst.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -4,5 +4,5 @@
 <para>Install gedit by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --localstatedir=/var/lib \
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --localstatedir=/var/lib \
 --sysconfdir=/etc/gnome &amp;&amp;
 make &amp;&amp;
Index: gnome/add/gedit/gedit.ent
===================================================================
--- gnome/add/gedit/gedit.ent	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/add/gedit/gedit.ent	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -5,7 +5,7 @@
 <!ENTITY gedit-desc SYSTEM "gedit-desc.xml">
 <!ENTITY gedit-config SYSTEM "gedit-config.xml">
-<!ENTITY gedit-buildsize "12.4 MB">
-<!ENTITY gedit-version "2.0.6">
-<!ENTITY gedit-download-http "http://ftp.gnome.org/pub/GNOME/sources/gedit/2.0/gedit-2.0.6.tar.bz2">
-<!ENTITY gedit-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gedit/2.0/gedit-2.0.6.tar.bz2">
-<!ENTITY gedit-size "1.2 MB">
+<!ENTITY gedit-buildsize "15.8 MB">
+<!ENTITY gedit-version "2.2.0.1">
+<!ENTITY gedit-download-http "http://ftp.gnome.org/pub/GNOME/sources/gedit/2.2/gedit-2.2.0.1.tar.bz2">
+<!ENTITY gedit-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gedit/2.2/gedit-2.2.0.1.tar.bz2">
+<!ENTITY gedit-size "1.4 MB">
Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/gnome.ent	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -43,4 +43,5 @@
 <!ENTITY % vte SYSTEM "lib/vte/vte.ent">
 <!ENTITY % gnome-themes SYSTEM "lib/themes/gnome-themes.ent">
+<!ENTITY % gtk-thinice-engine SYSTEM "lib/themes/gtk-thinice-engine.ent">
 %libglade;
 %intltool;
@@ -79,4 +80,5 @@
 %gnome-icon-themes;
 %gnome-themes;
+%gtk-thinice-engine;
 %vte;
 
Index: gnome/lib/gtk-thinice-engine.xml
===================================================================
--- gnome/lib/gtk-thinice-engine.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
+++ gnome/lib/gtk-thinice-engine.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -0,0 +1,10 @@
+<sect1 id="gtk-thinice-engine" xreflabel="gtk-thinice-engine-&gtk-thinice-engine-version;">
+<?dbhtml filename="gtk-thinice-engine.html" dir="gnome"?>
+<title>gtk-thinice-engine-&gtk-thinice-engine-version;</title>
+
+&gtk-thinice-engine-intro;
+&gtk-thinice-engine-inst;
+&gtk-thinice-engine-desc;
+
+</sect1>
+
Index: gnome/lib/lib.xml
===================================================================
--- gnome/lib/lib.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/lib.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -24,4 +24,5 @@
 &libwnck;
 &gtk-engines;
+&gtk-thinice-engine;
 &gnome-themes;
 &scrollkeeper;
Index: gnome/lib/libgnomeprint.xml
===================================================================
--- gnome/lib/libgnomeprint.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprint.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -6,5 +6,4 @@
 &libgnomeprint-inst;
 &libgnomeprint-exp;
-&libgnomeprint-config;
 &libgnomeprint-desc;
 
Index: gnome/lib/libgnomeprint/libgnomeprint-exp.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint-exp.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprint/libgnomeprint-exp.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -2,7 +2,10 @@
 <title>Command explanations</title>
 
-<para><userinput>--sysconfdir=/etc/gnome :</userinput>  This command
+<para><userinput>--sysconfdir=/etc/gnome</userinput> : This switch
 puts configuration files in <filename>/etc/gnome</filename> instead of
-<filename>/opt/gnome2/etc</filename>.</para>
+<filename>$GNOME_PREFIX/etc</filename>.</para>
+
+<para><userinput>--enable-gtk-doc</userinput> : This switch rebuilds the
+documentation during the make command.</para>
 
 </sect2>
Index: gnome/lib/libgnomeprint/libgnomeprint-inst.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint-inst.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprint/libgnomeprint-inst.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -4,5 +4,5 @@
 <para>Install libgnomeprint by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --sysconfdir=/etc/gnome &amp;&amp;
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/libgnomeprint/libgnomeprint-intro.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint-intro.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprint/libgnomeprint-intro.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -13,5 +13,5 @@
 <xref linkend="libbonobo"/> and <xref linkend="libart_lgpl"/>
 libgnomeprint will utilize:
-<xref linkend="gtk-doc"/></screen>
+<xref linkend="gtk-doc"/>, <xref linkend="sgml-dtd-3"/> and <xref linkend="cups"/></screen>
 
 </sect2>
Index: gnome/lib/libgnomeprint/libgnomeprint.ent
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint.ent	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprint/libgnomeprint.ent	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -5,7 +5,7 @@
 <!ENTITY libgnomeprint-desc SYSTEM "libgnomeprint-desc.xml">
 <!ENTITY libgnomeprint-config SYSTEM "libgnomeprint-config.xml">
-<!ENTITY libgnomeprint-buildsize "7.4 MB">
-<!ENTITY libgnomeprint-version "1.116.1">
-<!ENTITY libgnomeprint-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/1.116/libgnomeprint-1.116.1.tar.bz2">
-<!ENTITY libgnomeprint-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/1.116/libgnomeprint-1.116.1.tar.bz2">
-<!ENTITY libgnomeprint-size "628 KB">
+<!ENTITY libgnomeprint-buildsize "8.8 MB">
+<!ENTITY libgnomeprint-version "2.2.1.1">
+<!ENTITY libgnomeprint-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/2.2/libgnomeprint-2.2.1.1.tar.bz2">
+<!ENTITY libgnomeprint-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/2.2/libgnomeprint-2.2.1.1.tar.bz2">
+<!ENTITY libgnomeprint-size "552 KB">
Index: gnome/lib/libgnomeprint/libgnomeprintui-exp.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprintui-exp.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
+++ gnome/lib/libgnomeprint/libgnomeprintui-exp.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -0,0 +1,8 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--enable-gtk-doc</userinput> : This switch rebuilds the
+documentation during the make command.</para>
+
+</sect2>
+
Index: gnome/lib/libgnomeprint/libgnomeprintui-inst.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprintui-inst.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprint/libgnomeprintui-inst.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -4,5 +4,5 @@
 <para>Install libgnomeprintui by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
+<para><screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
 make &amp;&amp;
 make install </userinput></screen></para>
Index: gnome/lib/libgnomeprint/libgnomeprintui.ent
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprintui.ent	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprint/libgnomeprintui.ent	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -5,7 +5,8 @@
 <!ENTITY libgnomeprintui-desc SYSTEM "libgnomeprintui-desc.xml">
 <!ENTITY libgnomeprintui-config SYSTEM "libgnomeprintui-config.xml">
-<!ENTITY libgnomeprintui-buildsize "3.1 MB">
-<!ENTITY libgnomeprintui-version "1.116.0">
-<!ENTITY libgnomeprintui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/1.116/libgnomeprintui-1.116.0.tar.bz2">
-<!ENTITY libgnomeprintui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/1.116/libgnomeprintui-1.116.0.tar.bz2">
-<!ENTITY libgnomeprintui-size "368 KB">
+<!ENTITY libgnomeprintui-buildsize "4.9 MB">
+<!ENTITY libgnomeprintui-version "2.2.1.1">
+<!ENTITY libgnomeprintui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/2.2/libgnomeprintui-2.2.1.1.tar.bz2">
+<!ENTITY libgnomeprintui-download-ftp
+"ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/2.2/libgnomeprintui-2.2.1.1.tar.bz2">
+<!ENTITY libgnomeprintui-size "424 KB">
Index: gnome/lib/libgnomeprintui.xml
===================================================================
--- gnome/lib/libgnomeprintui.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/libgnomeprintui.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -5,5 +5,5 @@
 &libgnomeprintui-intro;
 &libgnomeprintui-inst;
-&libgnomeprintui-config;
+&libgnomeprintui-exp;
 &libgnomeprintui-desc;
 
Index: gnome/lib/themes/gnome-themes-intro.xml
===================================================================
--- gnome/lib/themes/gnome-themes-intro.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ gnome/lib/themes/gnome-themes-intro.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -11,5 +11,5 @@
 
 <screen>gnome-themes depends on:
-gtk-thinice-engine-2.0.2</screen>
+<xref linkend="gtk-thinice-engine"/></screen>
 
 </sect2>
Index: gnome/lib/themes/gtk-thinice-engine-desc.xml
===================================================================
--- gnome/lib/themes/gtk-thinice-engine-desc.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
+++ gnome/lib/themes/gtk-thinice-engine-desc.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -0,0 +1,7 @@
+<sect2>
+<title>Contents</title>
+
+<para>The gtk-thinice-engine package contains <userinput>themes</userinput>.</para>
+
+</sect2>
+
Index: gnome/lib/themes/gtk-thinice-engine-inst.xml
===================================================================
--- gnome/lib/themes/gtk-thinice-engine-inst.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
+++ gnome/lib/themes/gtk-thinice-engine-inst.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of gtk-thinice-engine</title>
+
+<para>Install gtk-thinice-engine by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/lib/themes/gtk-thinice-engine-intro.xml
===================================================================
--- gnome/lib/themes/gtk-thinice-engine-intro.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
+++ gnome/lib/themes/gtk-thinice-engine-intro.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Introduction to gtk-thinice-engine</title>
+
+<screen>Download location (HTTP):       <ulink url="&gtk-thinice-engine-download-http;"/>
+Download location (FTP):        <ulink url="&gtk-thinice-engine-download-ftp;"/>
+Version used:                   &gtk-thinice-engine-version;
+Package size:                   &gtk-thinice-engine-size;
+Estimated Disk space required:  &gtk-thinice-engine-buildsize;</screen>
+
+<para>The gtk-thinice-engine package contains theme sets.</para>
+
+<screen>gtk-thinice-engine depends on:
+<xref linkend="GTK2"/></screen>
+
+</sect2>
Index: gnome/lib/themes/gtk-thinice-engine.ent
===================================================================
--- gnome/lib/themes/gtk-thinice-engine.ent	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
+++ gnome/lib/themes/gtk-thinice-engine.ent	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -0,0 +1,11 @@
+<!ENTITY gtk-thinice-engine SYSTEM "../gtk-thinice-engine.xml">
+<!ENTITY gtk-thinice-engine-intro SYSTEM "gtk-thinice-engine-intro.xml">
+<!ENTITY gtk-thinice-engine-inst SYSTEM "gtk-thinice-engine-inst.xml">
+<!ENTITY gtk-thinice-engine-exp SYSTEM "gtk-thinice-engine-exp.xml">
+<!ENTITY gtk-thinice-engine-desc SYSTEM "gtk-thinice-engine-desc.xml">
+<!ENTITY gtk-thinice-engine-config SYSTEM "gtk-thinice-engine-config.xml">
+<!ENTITY gtk-thinice-engine-buildsize "">
+<!ENTITY gtk-thinice-engine-version "2.0.2">
+<!ENTITY gtk-thinice-engine-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtk-thinice-engine/2.0/gtk-thinice-engine-2.0.2.tar.bz2">
+<!ENTITY gtk-thinice-engine-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtk-thinice-engine/2.0/gtk-thinice-engine-2.0.2.tar.bz2">
+<!ENTITY gtk-thinice-engine-size "136 KB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cd1030f9a89a663f2ea0909a220db0d94aa891b8)
+++ introduction/welcome/changelog.xml	(revision 5574a2cf3a3fb6627622ada14d3af7a29be0879f)
@@ -13,5 +13,6 @@
 <listitem><para>February 15th, 2003 [larry]: gnome: Updated to
 control-center-2.2.0.1, librsvg-2.2.3, eel-2.2.0.2, nautilus-2.2.0.2,
-libgtkhtml-2.2.0, yelp-2.2.0,</para></listitem>
+libgtkhtml-2.2.0, yelp-2.2.0, bug-buddy-2.2.102, libgnomeprint-2.2.1.1,
+libgnomeprintui-2.2.1.1, gtk-thinice-engine-2.0.2, gedit-2.2.0.1.</para></listitem>
 
 <listitem><para>February 15th, 2003 [larry]: pst: updated to