Index: general/genlib/enchant.xml
===================================================================
--- general/genlib/enchant.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ general/genlib/enchant.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -32,4 +32,6 @@
     <para>The <application>enchant</application> package provide a generic
     interface into various existing spell checking libaries.</para>
+
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/lzo.xml
===================================================================
--- general/genlib/lzo.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ general/genlib/lzo.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -33,4 +33,6 @@
     library which is suitable for data decompression and compression in
     real-time. This means it favors speed over compression ratio.</para>
+
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/cvs.xml
===================================================================
--- general/prog/cvs.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ general/prog/cvs.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -36,5 +36,5 @@
     creation of a repository is covered at <xref linkend="cvsserver"/>.</para>
 
-    <para>&lfssvn_checked;20101029&lfssvn_checked2;</para>
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/wpa_supplicant.xml
===================================================================
--- networking/netprogs/wpa_supplicant.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ networking/netprogs/wpa_supplicant.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -37,4 +37,6 @@
     driver. This is useful for connecting to a password protected wireless
     access point.</para>
+
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/dash.xml
===================================================================
--- postlfs/shells/dash.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ postlfs/shells/dash.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -39,4 +39,5 @@
     a script is completely compatible with POSIX syntax.</para>
 
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ postlfs/shells/zsh.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -46,4 +46,6 @@
       <application>ZSH</application> with the same instructions.</para>
     </note>
+
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: template/template.xml
===================================================================
--- template/template.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ template/template.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -199,4 +199,12 @@
       <option>--OPTION</option>: This option does something optionally per the
       user's desires.
+    </para>
+  </sect2>
+
+  <sect2 role="using">
+    <title>Using TEMPLATE</title>
+
+    <para>
+      Stuff about how to use TEMPLATE to do something.
     </para>
   </sect2>
Index: xfce/apps/parole.xml
===================================================================
--- xfce/apps/parole.xml	(revision de791f17f74d93561900d0805e0332bb24bfb190)
+++ xfce/apps/parole.xml	(revision 5603a8189779231fb6a3d5217bd105f94da47402)
@@ -5,5 +5,6 @@
   %general-entities;
 
-  <!ENTITY parole-download-http "http://archive.xfce.org/src/apps/parole/0.2/parole-&parole-version;.tar.bz2">
+  <!ENTITY parole-download-http
+    "http://archive.xfce.org/src/apps/parole/0.2/parole-&parole-version;.tar.bz2">
   <!ENTITY parole-download-ftp  " ">
   <!ENTITY parole-md5sum        "5d7e5ab7535bdf89508a8d7e551f9187">