Index: general.ent
===================================================================
--- general.ent	(revision caf07a29ff6d1c96335dc7fd5fbb34fb1ca4744d)
+++ general.ent	(revision 5637ae85b81071042f024f39ca18fda1b3ba0599)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "12">                   <!-- Always 2 digits -->
+<!ENTITY day          "13">                   <!-- Always 2 digits -->
 <!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 12th, &year;">
+<!ENTITY releasedate  "September 13th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision caf07a29ff6d1c96335dc7fd5fbb34fb1ca4744d)
+++ general/prog/vala.xml	(revision 5637ae85b81071042f024f39ca18fda1b3ba0599)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "8bf68d1bde90f62b20fec57c34fb2179">
+  <!ENTITY vala-md5sum        "f94c14a555d99ff377c458d3f5393c18">
   <!ENTITY vala-size          "3.2 MB">
-  <!ENTITY vala-buildsize     "187 MB (including tests)">
-  <!ENTITY vala-time          "1.5 SBU (including tests)">
+  <!ENTITY vala-buildsize     "156 MB (including tests)">
+  <!ENTITY vala-time          "1.1 SBU (including tests)">
 ]>
 
@@ -88,11 +88,11 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="glib2"/> and
-      <xref linkend="graphviz"/>
+      <xref linkend="glib2"/>
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="dbus"/> (Required for the tests) and
+      <xref linkend="dbus"/> (Required for the tests),
+      <xref linkend="graphviz"/> (Required for valadoc),
       <xref linkend="libxslt"/> (Required for generating the documentation)
     </para>
@@ -109,5 +109,17 @@
     commands:</para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+    <note>
+      <para>The two sed commands and the autoreconf command below are required
+      if the optional dependency <xref linkend="graphviz"/> is not installed.
+      This will allow building the valadoc prgram and libraries that can be used 
+      to generate API documentation in HTML format from Vala source code.
+      </para>
+    </note>
+
+<screen><userinput>sed -i '101d; 107,123d; 125,126d'  configure.ac &amp;&amp;
+sed -i '/valadoc/d' Makefile.am                 &amp;&amp;
+ACLOCAL= autoreconf -fiv                        &amp;&amp;
+
+./configure --prefix=/usr                       &amp;&amp;
 make</userinput></screen>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision caf07a29ff6d1c96335dc7fd5fbb34fb1ca4744d)
+++ introduction/welcome/changelog.xml	(revision 5637ae85b81071042f024f39ca18fda1b3ba0599)
@@ -43,4 +43,14 @@
 -->
     <listitem>
+      <para>September 13th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vala-0.38.1. Partially fixes
+          <ulink url="&blfs-ticket-root;9738">#9738</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 12th, 2017</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision caf07a29ff6d1c96335dc7fd5fbb34fb1ca4744d)
+++ packages.ent	(revision 5637ae85b81071042f024f39ca18fda1b3ba0599)
@@ -329,5 +329,5 @@
 <!ENTITY tk-version                   "8.6.7">
 <!ENTITY vala-major-version           "0.38">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.0">
+<!ENTITY vala-version                 "&vala-major-version;.1">
 <!ENTITY valgrind-version             "3.13.0">
 <!ENTITY yasm-version                 "1.3.0">