Index: postlfs/security/gnupg2.xml
===================================================================
--- postlfs/security/gnupg2.xml	(revision a42c273e166c3dc6f1143c72aa3ca8701a8fc978)
+++ postlfs/security/gnupg2.xml	(revision 5718cff476624e59fcec1a29b2c2ec1a119f7776)
@@ -7,8 +7,8 @@
   <!ENTITY gnupg2-download-http "&gnupg-http;/gnupg/gnupg-&gnupg2-version;.tar.bz2">
   <!ENTITY gnupg2-download-ftp  "&gnupg-ftp;/gnupg/gnupg-&gnupg2-version;.tar.bz2">
-  <!ENTITY gnupg2-md5sum        "3ab87e377aa0af2f463649515bf66508">
+  <!ENTITY gnupg2-md5sum        "d90e186df1c06845880ea58a318f070b">
   <!ENTITY gnupg2-size          "6.4 MB">
-  <!ENTITY gnupg2-buildsize     "117 MB (with all tests; add 24 MB for docs)">
-  <!ENTITY gnupg2-time          "0.4 SBU (using parallelism=4; add 0.5 SBU for tests)">
+  <!ENTITY gnupg2-buildsize     "149 MB (with all tests; add 24 MB for docs)">
+  <!ENTITY gnupg2-time          "0.4 SBU (using parallelism=4; add 1.6 SBU for tests)">
 ]>
 
@@ -82,4 +82,5 @@
     <para role="optional">
       <xref linkend="curl"/>,
+      <xref linkend="fuse3"/>,
       <xref linkend="gnutls"/>,
       <xref linkend="imagemagick"/> (for the <command>convert</command> utility,
@@ -103,5 +104,5 @@
   <sect2 role="installation">
     <title>Installation of GnuPG</title>
-
+    <!-- It's been well over three years. I think this can be commented for now.
     <warning>
       <para>
@@ -115,4 +116,5 @@
       </para>
     </warning>
+    -->
 
     <para>By default GnuPG doesn't install the deprecated gpg-zip script.
@@ -128,4 +130,5 @@
 <screen><userinput>./configure --prefix=/usr            \
             --enable-symcryptrun     \
+            --localstatedir=/var     \
             --docdir=/usr/share/doc/gnupg-&gnupg2-version; &amp;&amp;
 make &amp;&amp;
@@ -159,16 +162,4 @@
 install -v -m644    doc/gnupg.html/* \
                     /usr/share/doc/gnupg-&gnupg2-version;/html</userinput></screen>
-<!-- Now intalls as gpg, not gpg2.  This should be no longer needed.
-    <para>The BLFS editors recommend the creation of symlinks for compatibility
-    with the first version of GnuPG, because some programs or scripts need
-    them. Issue, as <systemitem class="username">root</systemitem> user:</para>
-
-<screen role="root"><userinput>for f in gpg gpgv
-do
-  ln -svf ${f}2.1 /usr/share/man/man1/$f.1 &amp;&amp;
-  ln -svf ${f}2   /usr/bin/$f
-done
-unset f</userinput></screen>
--->
     <para>If you created alternate formats of the documentation, install them
     using the following command as the
@@ -217,6 +208,6 @@
         <seg>addgnupghome, applygnupgdefaults, dirmngr, dirmngr-client, g13
         (optional), gpg-agent, gpg-connect-agent, gpg, gpgconf, gpgparsemail, 
-        gpgscm, gpgsm, gpgtar, gpgv, gpg-zip, kbxutil, symcryptrun, 
-        and watchgnupg</seg>
+           gpgscm, gpgsm, gpgtar, gpgv, gpg-wks-server, gpg-zip, kbxutil, 
+        symcryptrun, and watchgnupg</seg>
         <seg>None</seg>
         <seg>/usr/share/doc/gnupg-&gnupg2-version; and
@@ -233,5 +224,5 @@
         <term><command>addgnupghome</command></term>
         <listitem>
-          <para>is used to create and populate user's
+          <para>is used to create and populate a user's
           <filename class='directory'>~/.gnupg</filename> directories</para>
           <indexterm zone="gnupg2 addgnupghome">
@@ -391,8 +382,19 @@
       </varlistentry>
 
+      <varlistentry id="gpg-wks-server">
+        <term><command>gpg-wks-server</command></term>
+        <listitem>
+          <para>provides a server for the
+          <application>Web Key Service</application> protocol.</para>
+          <indexterm zone="gnupg2 gpg-wks-server">
+            <primary sortas="b-gpg-wks-server">gpg-wks-server</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="gpg-zip">
         <term><command>gpg-zip</command></term>
         <listitem>
-          <para> encrypts or signs files into an archive.</para>
+          <para>encrypts or signs files into an archive.</para>
           <indexterm zone="gnupg2 gpg-zip">
             <primary sortas="b-gpg-zip">gpg-zip</primary>