Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
+++ general/sysutils/unrar.xml	(revision 05767aee100d4579b93ef1f7ecd2a5fe7015ee36)
@@ -7,5 +7,5 @@
   <!ENTITY unrar-download-http "http://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "0f5a438ebee5cf92184d0b039e6890af">
+  <!ENTITY unrar-md5sum        "cb1223a0c8d82847691ccc1dc517b250">
   <!ENTITY unrar-size          "228 KB">
   <!ENTITY unrar-buildsize     "2.5 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
+++ introduction/welcome/changelog.xml	(revision 05767aee100d4579b93ef1f7ecd2a5fe7015ee36)
@@ -42,8 +42,19 @@
     </listitem>
     -->
-
-    <listitem>
-      <para>November 11th, 2020</para>
-      <itemizedlist>
+    <listitem>
+      <para>November 12th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to thunderbird-78.4.3. Fixes
+          <ulink url="&blfs-ticket-root;14237">#14237</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libhandy-1.0.2. Fixes
+          <ulink url="&blfs-ticket-root;14239">#14239</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to unrar-6.0.2. Fixes
+          <ulink url="&blfs-ticket-root;14240">#14240</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to mariadb-10.5.8. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
+++ packages.ent	(revision 05767aee100d4579b93ef1f7ecd2a5fe7015ee36)
@@ -312,5 +312,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.9.1">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "6.0.1">
+<!ENTITY unrar-version                "6.0.2">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.99.11">
@@ -747,5 +747,5 @@
 <!ENTITY libdazzle-version            "3.38.0">
 <!--<!ENTITY libhandy-version             "0.0.13">-->
-<!ENTITY libhandy1-version            "1.0.1">
+<!ENTITY libhandy1-version            "1.0.2">
 <!ENTITY libnotify-version            "0.7.9">
 <!ENTITY libxklavier-version          "5.4">
@@ -939,5 +939,5 @@
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.22">
-<!ENTITY thunderbird-version          "78.4.2">
+<!ENTITY thunderbird-version          "78.4.3">
 <!ENTITY tigervnc-version             "1.11.0">
 <!ENTITY transmission-version         "3.00">
Index: x/lib/libhandy1.xml
===================================================================
--- x/lib/libhandy1.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
+++ x/lib/libhandy1.xml	(revision 05767aee100d4579b93ef1f7ecd2a5fe7015ee36)
@@ -7,5 +7,5 @@
   <!ENTITY libhandy1-download-http "&gnome-download-http;/libhandy/1.0/libhandy-&libhandy1-version;.tar.xz">
   <!ENTITY libhandy1-download-ftp  "&gnome-download-ftp;/libhandy/1.0/libhandy-&libhandy1-version;.tar.xz">
-  <!ENTITY libhandy1-md5sum        "651afd7928c2f09949a07e271cea5be4">
+  <!ENTITY libhandy1-md5sum        "c3e197c05d25f446bbaf2d6d819b4b19">
   <!ENTITY libhandy1-size          "380 KB">
   <!ENTITY libhandy1-buildsize     "20 MB (with tests)">
@@ -98,12 +98,4 @@
 
     <para>
-      First, cause a regression discovered upstream:
-    </para>
-
-    <!-- Xi fixed this at https://gitlab.gnome.org/GNOME/libhandy/-/merge_requests/635 -->
-
-<screen><userinput remap="pre">sed -i 's/"opacity", 0/"opacity", 0.0/' src/hdy-combo-row.c</userinput></screen>
-
-    <para>
       Install <application>libhandy</application> by running the following
       commands:
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
+++ xsoft/other/thunderbird.xml	(revision 05767aee100d4579b93ef1f7ecd2a5fe7015ee36)
@@ -7,6 +7,6 @@
   <!ENTITY thunderbird-download-http "&mozilla-http;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.xz">
   <!ENTITY thunderbird-download-ftp  " ">
-  <!ENTITY thunderbird-md5sum        "a27a224bb3130bb37348b43f514f73c3">
-  <!ENTITY thunderbird-size          "337 MB">
+  <!ENTITY thunderbird-md5sum        "2357e6d9d59e1dcd6d42304aca6c7aad">
+  <!ENTITY thunderbird-size          "335 MB">
   <!ENTITY thunderbird-buildsize     "5.4 GB (178 MB installed)">
   <!ENTITY thunderbird-time          "30 SBU (on a 4-core machine)">