Index: postlfs/filesystems/initramfs.xml
===================================================================
--- postlfs/filesystems/initramfs.xml	(revision 99ed85063ddca1173570f63225a0278ae5f0c9fc)
+++ postlfs/filesystems/initramfs.xml	(revision 5804e5fb91df13d21a35aba05cf2913033f88bd3)
@@ -66,5 +66,5 @@
     </para>
 
-    <screen role="root"><userinput>cat &gt; /sbin/mkinitramfs &lt;&lt; "EOF"
+    <screen role="root"><userinput>cat &gt; /usr/sbin/mkinitramfs &lt;&lt; "EOF"
 <literal>#!/bin/bash
 # This file based in part on the mkinitramfs script for the LFS LiveCD
@@ -76,5 +76,5 @@
 
   if [ "$2" = "lib" ]; then
-    file=$(PATH=/lib:/usr/lib type -p $1)
+    file=$(PATH=/usr/lib type -p $1)
   else
     file=$(type -p $1)
@@ -82,5 +82,5 @@
 
   if [ -n "$file" ] ; then
-    cp $file $WDIR/$2
+    cp $file $WDIR/usr/$2
   else
     echo "Missing required file: $1 for directory $2"
@@ -97,5 +97,5 @@
 fi
 
-if [ -n "$KERNEL_VERSION" ] &amp;&amp; [ ! -d "/lib/modules/$1" ] ; then
+if [ -n "$KERNEL_VERSION" ] &amp;&amp; [ ! -d "/usr/lib/modules/$1" ] ; then
   echo "No modules directory named $1"
   exit 1
@@ -109,16 +109,16 @@
 
 # Systemd installs udevadm in /bin. Other udev implementations have it in /sbin
-if [ -x /bin/udevadm ] ; then binfiles="$binfiles udevadm"; fi
+if [ -x /usr/bin/udevadm ] ; then binfiles="$binfiles udevadm"; fi
 
 sbinfiles="modprobe blkid switch_root"
 
-#Optional files and locations
+# Optional files and locations
 for f in mdadm mdmon udevd udevadm; do
-  if [ -x /sbin/$f ] ; then sbinfiles="$sbinfiles $f"; fi
+  if [ -x /usr/sbin/$f ] ; then sbinfiles="$sbinfiles $f"; fi
 done
 
 # Add lvm if present (cannot be done with the others because it
 # also needs dmsetup
-if [ -x /sbin/lvm ] ; then sbinfiles="$sbinfiles lvm dmsetup"; fi
+if [ -x /usr/sbin/lvm ] ; then sbinfiles="$sbinfiles lvm dmsetup"; fi
 
 unsorted=$(mktemp /tmp/unsorted.XXXXXXXXXX)
@@ -131,9 +131,11 @@
 
 # Create base directory structure
-mkdir -p $WDIR/{bin,dev,lib/firmware,run,sbin,sys,proc,usr}
+mkdir -p $WDIR/{dev,run,sys,proc,usr/{bin,lib/{firmware,modules},sbin}}
 mkdir -p $WDIR/etc/{modprobe.d,udev/rules.d}
 touch $WDIR/etc/modprobe.d/modprobe.conf
-ln -s lib $WDIR/lib64
-ln -s ../bin $WDIR/usr/bin
+ln -s usr/bin  $WDIR/bin
+ln -s usr/lib  $WDIR/lib
+ln -s usr/sbin $WDIR/sbin
+ln -s lib      $WDIR/lib64
 
 # Create necessary device nodes
@@ -151,5 +153,5 @@
 
 # Install any firmware present
-cp -a /lib/firmware $WDIR/lib
+cp -a /usr/lib/firmware $WDIR/usr/lib
 
 # Copy the RAID configuration file if present
@@ -162,5 +164,5 @@
 
 if [  -n "$KERNEL_VERSION" ] ; then
-  if [ -x /bin/kmod ] ; then
+  if [ -x /usr/bin/kmod ] ; then
     binfiles="$binfiles kmod"
   else
@@ -172,48 +174,47 @@
 # Install basic binaries
 for f in $binfiles ; do
-  if [ -e /bin/$f ]; then d="/bin"; else d="/usr/bin"; fi
-  ldd $d/$f | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
-  copy $d/$f bin
+  ldd /usr/bin/$f | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
+  copy /usr/bin/$f bin
 done
 
 for f in $sbinfiles ; do
-  ldd /sbin/$f | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
+  ldd /usr/sbin/$f | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
   copy $f sbin
 done
 
-# Add udevd libraries if not in /sbin
-if [ -x /lib/udev/udevd ] ; then
-  ldd /lib/udev/udevd | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
-elif [ -x /lib/systemd/systemd-udevd ] ; then
-  ldd /lib/systemd/systemd-udevd | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
+# Add udevd libraries if not in /usr/sbin
+if [ -x /usr/lib/udev/udevd ] ; then
+  ldd /usr/lib/udev/udevd | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
+elif [ -x /usr/lib/systemd/systemd-udevd ] ; then
+  ldd /usr/lib/systemd/systemd-udevd | sed "s/\t//" | cut -d " " -f1 &gt;&gt; $unsorted
 fi
 
 # Add module symlinks if appropriate
-if [ -n "$KERNEL_VERSION" ] &amp;&amp; [ -x /bin/kmod ] ; then
-  ln -s kmod $WDIR/bin/lsmod
-  ln -s kmod $WDIR/bin/insmod
+if [ -n "$KERNEL_VERSION" ] &amp;&amp; [ -x /usr/bin/kmod ] ; then
+  ln -s kmod $WDIR/usr/bin/lsmod
+  ln -s kmod $WDIR/usr/bin/insmod
 fi
 
 # Add lvm symlinks if appropriate
 # Also copy the lvm.conf file
-if  [ -x /sbin/lvm ] ; then
-  ln -s lvm $WDIR/sbin/lvchange
-  ln -s lvm $WDIR/sbin/lvrename
-  ln -s lvm $WDIR/sbin/lvextend
-  ln -s lvm $WDIR/sbin/lvcreate
-  ln -s lvm $WDIR/sbin/lvdisplay
-  ln -s lvm $WDIR/sbin/lvscan
-
-  ln -s lvm $WDIR/sbin/pvchange
-  ln -s lvm $WDIR/sbin/pvck
-  ln -s lvm $WDIR/sbin/pvcreate
-  ln -s lvm $WDIR/sbin/pvdisplay
-  ln -s lvm $WDIR/sbin/pvscan
-
-  ln -s lvm $WDIR/sbin/vgchange
-  ln -s lvm $WDIR/sbin/vgcreate
-  ln -s lvm $WDIR/sbin/vgscan
-  ln -s lvm $WDIR/sbin/vgrename
-  ln -s lvm $WDIR/sbin/vgck
+if  [ -x /usr/sbin/lvm ] ; then
+  ln -s lvm $WDIR/usr/sbin/lvchange
+  ln -s lvm $WDIR/usr/sbin/lvrename
+  ln -s lvm $WDIR/usr/sbin/lvextend
+  ln -s lvm $WDIR/usr/sbin/lvcreate
+  ln -s lvm $WDIR/usr/sbin/lvdisplay
+  ln -s lvm $WDIR/usr/sbin/lvscan
+
+  ln -s lvm $WDIR/usr/sbin/pvchange
+  ln -s lvm $WDIR/usr/sbin/pvck
+  ln -s lvm $WDIR/usr/sbin/pvcreate
+  ln -s lvm $WDIR/usr/sbin/pvdisplay
+  ln -s lvm $WDIR/usr/sbin/pvscan
+
+  ln -s lvm $WDIR/usr/sbin/vgchange
+  ln -s lvm $WDIR/usr/sbin/vgcreate
+  ln -s lvm $WDIR/usr/sbin/vgscan
+  ln -s lvm $WDIR/usr/sbin/vgrename
+  ln -s lvm $WDIR/usr/sbin/vgck
   # Conf file(s)
   cp -a /etc/lvm $WDIR/etc
@@ -234,12 +235,12 @@
 done
 
-if [ -d /lib/udev ]; then
-  cp -a /lib/udev $WDIR/lib
-fi
-if [ -d /lib/systemd ]; then
-  cp -a /lib/systemd $WDIR/lib
-fi
-if [ -d /lib/elogind ]; then
-  cp -a /lib/elogind $WDIR/lib
+if [ -d /usr/lib/udev ]; then
+  cp -a /usr/lib/udev $WDIR/usr/lib
+fi
+if [ -d /usr/lib/systemd ]; then
+  cp -a /usr/lib/systemd $WDIR/usr/lib
+fi
+if [ -d /usr/lib/elogind ]; then
+  cp -a /usr/lib/elogind $WDIR/usr/lib
 fi
 
@@ -247,12 +248,12 @@
 if [ -n "$KERNEL_VERSION" ]; then
   find                                                                        \
-     /lib/modules/$KERNEL_VERSION/kernel/{crypto,fs,lib}                      \
-     /lib/modules/$KERNEL_VERSION/kernel/drivers/{block,ata,md,firewire}      \
-     /lib/modules/$KERNEL_VERSION/kernel/drivers/{scsi,message,pcmcia,virtio} \
-     /lib/modules/$KERNEL_VERSION/kernel/drivers/usb/{host,storage}           \
+     /usr/lib/modules/$KERNEL_VERSION/kernel/{crypto,fs,lib}                      \
+     /usr/lib/modules/$KERNEL_VERSION/kernel/drivers/{block,ata,md,firewire}      \
+     /usr/lib/modules/$KERNEL_VERSION/kernel/drivers/{scsi,message,pcmcia,virtio} \
+     /usr/lib/modules/$KERNEL_VERSION/kernel/drivers/usb/{host,storage}           \
      -type f 2&gt; /dev/null | cpio --make-directories -p --quiet $WDIR
 
-  cp /lib/modules/$KERNEL_VERSION/modules.{builtin,order}                     \
-            $WDIR/lib/modules/$KERNEL_VERSION
+  cp /usr/lib/modules/$KERNEL_VERSION/modules.{builtin,order}                     \
+            $WDIR/usr/lib/modules/$KERNEL_VERSION
 
   depmod -b $WDIR $KERNEL_VERSION
@@ -262,6 +263,6 @@
 
 # Prepare early loading of microcode if available
-if ls /lib/firmware/intel-ucode/* &gt;/dev/null 2&gt;&amp;1 ||
-   ls /lib/firmware/amd-ucode/*   &gt;/dev/null 2&gt;&amp;1; then
+if ls /usr/lib/firmware/intel-ucode/* &gt;/dev/null 2&gt;&amp;1 ||
+   ls /usr/lib/firmware/amd-ucode/*   &gt;/dev/null 2&gt;&amp;1; then
 
 # first empty WDIR to reuse it
@@ -271,10 +272,10 @@
   mkdir -p $DSTDIR
 
-  if [ -d /lib/firmware/amd-ucode ]; then
-    cat /lib/firmware/amd-ucode/microcode_amd*.bin &gt; $DSTDIR/AuthenticAMD.bin
+  if [ -d /usr/lib/firmware/amd-ucode ]; then
+    cat /usr/lib/firmware/amd-ucode/microcode_amd*.bin &gt; $DSTDIR/AuthenticAMD.bin
   fi
 
-  if [ -d /lib/firmware/intel-ucode ]; then
-    cat /lib/firmware/intel-ucode/* &gt; $DSTDIR/GenuineIntel.bin
+  if [ -d /usr/lib/firmware/intel-ucode ]; then
+    cat /usr/lib/firmware/intel-ucode/* &gt; $DSTDIR/GenuineIntel.bin
   fi
 
@@ -291,5 +292,5 @@
 EOF
 
-chmod 0755 /sbin/mkinitramfs</userinput></screen>
+chmod 0755 /usr/sbin/mkinitramfs</userinput></screen>
 
     <screen role="root"><userinput>mkdir -p /usr/share/mkinitramfs &amp;&amp;
@@ -297,5 +298,5 @@
 <literal>#!/bin/sh
 
-PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PATH=/usr/bin:/usr/sbin
 export PATH
 