Index: general/graphlib/fontconfig.xml
===================================================================
--- general/graphlib/fontconfig.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/fontconfig.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/freetype2.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/ijs.xml
===================================================================
--- general/graphlib/ijs.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/ijs.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/jasper.xml
===================================================================
--- general/graphlib/jasper.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/jasper.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -34,5 +34,5 @@
     JPEG-2000 codec.</para>
 
-    &lfs70_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/lcms.xml
===================================================================
--- general/graphlib/lcms.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/lcms.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -35,5 +35,5 @@
     programs to provide color management facilities.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/lcms2.xml
===================================================================
--- general/graphlib/lcms2.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/lcms2.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -36,5 +36,5 @@
     standard for color management.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libjpeg.xml
===================================================================
--- general/graphlib/libjpeg.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/libjpeg.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -34,5 +34,5 @@
     Group standard. It is a "lossy" compression algorithm.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libmng.xml
===================================================================
--- general/graphlib/libmng.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/libmng.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -34,5 +34,5 @@
     (MNG) files which are the animation equivalents to PNG files.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libpng.xml
===================================================================
--- general/graphlib/libpng.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/libpng.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/librsvg.xml
===================================================================
--- general/graphlib/librsvg.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/librsvg.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/libtiff.xml
===================================================================
--- general/graphlib/libtiff.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/libtiff.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/openjpeg.xml
===================================================================
--- general/graphlib/openjpeg.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/openjpeg.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -34,5 +34,5 @@
     and can compress/decompress lossless 16-bit images.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision e1a9f414c161f3b1a6e3b74fc4fe650f691fc332)
+++ general/graphlib/poppler.xml	(revision 5811f7e3a21d12e208b0eaf7786c5a058f8352e6)
@@ -44,5 +44,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>