Index: x/installing/xfree86-setup.xml
===================================================================
--- x/installing/xfree86-setup.xml	(revision 5c55d5becde96438475bf5f6c7bf655ea24503ba)
+++ x/installing/xfree86-setup.xml	(revision 5836d75be41faf02383634ddf97c4ace985e6c85)
@@ -12,5 +12,5 @@
 like:</para>
 
-<para><screen>(II) R128(0): Direct rendering enabled</screen></para>
+<screen>(II) R128(0): Direct rendering enabled</screen>
 
 <para>From an <command>xterm</command>, run <command>glxinfo</command> and look for the phrase:</para> 
@@ -100,7 +100,6 @@
 <sect3><title>Update the font cache files</title> 
 <para>Finally, to update all the font
-cache files specified in <filename>/etc/fonts/fonts.conf</filename>, run
+cache files specified in <filename>/etc/fonts/fonts.conf</filename>, run</para>
 <screen><userinput><command>fc-cache</command></userinput></screen>
-</para>
 
 <para><application>XFree86</application> will now be able to use
@@ -128,5 +127,5 @@
 of the <filename>XF86Config</filename> file.  For example:</para>
 
-<para><screen>   Section "InputDevice"
+<screen>   Section "InputDevice"
      Identifier          "Keyboard0"
      Driver              "Keyboard"
@@ -134,5 +133,5 @@
      Option "XkbLayout"  "en_US,ru"
      Option "XkbOptions" "grp:switch,grp:alt_shift_toggle,grp_led:scroll"
-   EndSection</screen></para>
+   EndSection</screen>
 
 <para>In this example, you can use the Alt-Shift combination to switch
@@ -164,5 +163,5 @@
 if a list of specifications in the form of</para>
 
-<para><screen>object.subobject[.subobject...].attribute: value</screen></para>
+<screen>object.subobject[.subobject...].attribute: value</screen>
 
 <para>Typically, components of a resource specification are linked together 
@@ -176,9 +175,9 @@
 use one of these resources, you need to add the following line:</para>
 
-<para><screen>Xcursor.theme: whiteglass</screen></para>
+<screen>Xcursor.theme: whiteglass</screen>
 
 <para>However, you can specify the background for all clients with:</para>
 
-<para><screen>*background: blue</screen></para>
+<screen>*background: blue</screen>
 
 <para>More specific resource variables will override less specific names. </para>
Index: x/installing/xfree86/xfree86-config.xml
===================================================================
--- x/installing/xfree86/xfree86-config.xml	(revision 5c55d5becde96438475bf5f6c7bf655ea24503ba)
+++ x/installing/xfree86/xfree86-config.xml	(revision 5836d75be41faf02383634ddf97c4ace985e6c85)
@@ -4,5 +4,5 @@
 <para>Edit <filename>/etc/ld.so.conf</filename> and add 
 <filename class="directory">/usr/X11R6/lib</filename>.
-Run <screen><userinput><command>ldconfig</command></userinput></screen></para>
+Run</para> <screen><userinput><command>ldconfig</command></userinput></screen>
 
 <para>Add <filename class='directory'>/usr/X11R6/bin</filename> to your
@@ -13,6 +13,6 @@
 statement.</para>
 
-<para>Run
-<screen><userinput><command>source ~/.bash_profile</command></userinput></screen></para>
+<para>Run</para>
+<screen><userinput><command>source ~/.bash_profile</command></userinput></screen>
 
 <para>Set up your mouse:
@@ -71,6 +71,6 @@
 wrong.</para>
 
-<para>Move the configuration file to its final location
-<screen><userinput><command>mv ~/XF86Config.new /etc/X11/XF86Config</command></userinput></screen></para>
+<para>Move the configuration file to its final location</para>
+<screen><userinput><command>mv ~/XF86Config.new /etc/X11/XF86Config</command></userinput></screen>
 
 <para>Create <filename>.xinitrc</filename>
Index: x/installing/xfree86/xfree86-inst.xml
===================================================================
--- x/installing/xfree86/xfree86-inst.xml	(revision 5c55d5becde96438475bf5f6c7bf655ea24503ba)
+++ x/installing/xfree86/xfree86-inst.xml	(revision 5836d75be41faf02383634ddf97c4ace985e6c85)
@@ -17,6 +17,6 @@
 support on your motherboard.  If you do not know the chipset, you may select
 all the chip types at the expense of extra kernel size. You can usually 
-determine your motherboard's chipset by doing:
-<screen><userinput><command>cat /proc/pci</command></userinput></screen></para>
+determine your motherboard's chipset by doing:</para>
+<screen><userinput><command>cat /proc/pci</command></userinput></screen>
 
 <para>In the "Character Devices" section, <emphasis>disable</emphasis> Direct 
@@ -33,10 +33,9 @@
 to support as a <emphasis>module</emphasis>.</para>
 
-<para>If you made any changes to the kernel configuration, recompile with
+<para>If you made any changes to the kernel configuration, recompile with</para>
 <screen><userinput>make dep &amp;&amp;
 make bzImage &amp;&amp;
 make modules &amp;&amp;
 make modules_install</userinput></screen>
-</para>
 
 <para>Copy <filename>/usr/src/linux/arch/i386/boot/bzImage</filename> and
@@ -70,5 +69,5 @@
 </para></note>
 
-<para><screen><userinput><command>cat &gt; config/cf/host.def &lt;&lt; "EOF"</command>
+<screen><userinput><command>cat &gt; config/cf/host.def &lt;&lt; "EOF"</command>
 /* Begin XFree86 host.def file */
 
@@ -185,5 +184,5 @@
 
 /* End XFree86 host.def file */
-<command>EOF</command></userinput></screen></para>
+<command>EOF</command></userinput></screen>
 
 <para>Edit the file for your hardware and desires.</para>
Index: x/installing/xfree86/xfree86-intro.xml
===================================================================
--- x/installing/xfree86/xfree86-intro.xml	(revision 5c55d5becde96438475bf5f6c7bf655ea24503ba)
+++ x/installing/xfree86/xfree86-intro.xml	(revision 5836d75be41faf02383634ddf97c4ace985e6c85)
@@ -78,6 +78,6 @@
 
 <para>The fixes subdirectory also has a <filename>SUMS.md5sum</filename> and this can be checked against
-the patch file:
-<screen><filename>md5sum 4.3.0-4.3.0.1.diff.gz</filename></screen></para>
+the patch file:</para>
+<screen><filename>md5sum 4.3.0-4.3.0.1.diff.gz</filename></screen>
 
 <para>After unpacking the <filename>X430src-?.tgz</filename> files, change to the 