Index: general/genutils/apr-util.xml
===================================================================
--- general/genutils/apr-util.xml	(revision 8d4b121cf210ea567b3d1bfe0e80d840fd5e3d74)
+++ 	(revision )
@@ -1,198 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY apr-util-download-http
-           "http://archive.apache.org/dist/apr/apr-util-&apr-util-version;.tar.bz2">
-  <!ENTITY apr-util-download-ftp  " ">
-  <!ENTITY apr-util-md5sum        "89c1348aa79e898d7c34a6206311c9c2">
-  <!ENTITY apr-util-size          "680 KB">
-  <!ENTITY apr-util-buildsize     "11 MB">
-  <!ENTITY apr-util-time          "0.2 SBU">
-]>
-
-<sect1 id="apr-util" xreflabel="Apr-Util-&apr-util-version;">
-  <?dbhtml filename="apr-util.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Apr-Util-&apr-util-version;</title>
-
-  <indexterm zone="apr-util">
-    <primary sortas="a-Apr-Util">Apr-Util</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Apr Util</title>
-
-    <para>
-      The Apache Portable Runtime Utility Library provides a predictable and
-      consistent interface to underlying client library interfaces. This
-      application programming interface assures predictable if not identical
-      behaviour regardless of which libraries are available on a given platform.
-    </para>
-
-    &lfs73_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&apr-util-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&apr-util-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &apr-util-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &apr-util-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &apr-util-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &apr-util-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Apr Util Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="apr"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="openssl"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="db"/>,
-      <xref linkend="expat"/>,
-      <ulink url="http://www.freetds.org/">FreeTDS</ulink>,
-      <xref linkend="mysql"/>,
-      <xref linkend="openldap"/>,
-      <xref linkend="postgresql"/>,
-      <xref linkend="sqlite"/> and
-      <xref linkend="unixodbc"/>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/apr-util"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Apr Util</title>
-
-    <para>
-      Install <application>Apr Util</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr       \
-            --with-apr=/usr     \
-            --with-gdbm=/usr    \
-            --with-openssl=/usr \
-            --with-crypto &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>make test</command>.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>--with-gdbm=/usr</parameter>: This switch enables the
-      <filename class="libraryfile">apr_dbm_gdbm-1.so</filename> plugin.
-    </para>
-
-    <para>
-      <parameter>--with-openssl=/usr --with-crypto</parameter>: These
-      switches enable the
-      <filename class="libraryfile">apr_crypto_openssl-1.so</filename>
-      plugin. Remove them if you have not installed
-      <xref linkend="openssl"/>.
-    </para>
-
-    <para>
-      <parameter>--with-berkeley-db=/usr</parameter>: If you have
-      installed <xref linkend="db"/>, use this switch to compile the
-      <filename class="libraryfile">apr_dbm_db-1.so</filename> plugin.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Library</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>
-          apu-1-config
-        </seg>
-        <seg>
-          libaprutil-1.so
-        </seg>
-        <seg>
-          /usr/lib/apr-util-1
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libaprutil-1">
-        <term><filename class="libraryfile">libaprutil-1.so</filename></term>
-        <listitem>
-          <para>
-            contains functions that provide a predictable and consistent
-            interface to underlying client library interfaces.
-          </para>
-          <indexterm zone="apr-util libaprutil-1">
-            <primary sortas="c-libaprutil-1">libaprutil-1.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 8d4b121cf210ea567b3d1bfe0e80d840fd5e3d74)
+++ general/genutils/genutils.xml	(revision 5851e54fcf473954cd9d308094229a2266e82c8f)
@@ -21,5 +21,4 @@
   PIN numbers and pass-phrases, and a hash generator.</para>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="apr-util.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="bc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="compface.xml"/>
@@ -32,6 +31,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="imagemagick.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="intltool.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="js.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libiodbc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="pinentry.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="qtchooser.xml"/>
Index: general/genutils/js.xml
===================================================================
--- general/genutils/js.xml	(revision 8d4b121cf210ea567b3d1bfe0e80d840fd5e3d74)
+++ 	(revision )
@@ -1,223 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY JS-download-http
-           "http://ftp.mozilla.org/pub/mozilla.org/js/mozjs&JS-version;.tar.gz">
-  <!ENTITY JS-download-ftp
-           "ftp://ftp.mozilla.org/pub/mozilla.org/js/mozjs&JS-version;.tar.gz">
-  <!ENTITY JS-md5sum        "20b6f8f1140ef6e47daa3b16965c9202">
-  <!ENTITY JS-size          "6.5 MB">
-  <!ENTITY JS-buildsize     "1.2 GB">
-  <!ENTITY JS-time          "2.0 SBU">
-]>
-
-<sect1 id="JS" xreflabel="JS-&JS-version;">
-  <?dbhtml filename="JS.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>JS-&JS-version;</title>
-
-  <indexterm zone="JS">
-    <primary sortas="a-JS">JS</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to JS</title>
-
-    <para>
-      <application>JS</application> is Mozilla's JavaScript engine
-      written in C/C++.
-    </para>
-
-    &lfs73_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&JS-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&JS-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &JS-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &JS-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &JS-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &JS-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">JS Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="libffi"/>,
-      <xref linkend="nspr"/>,
-      <xref linkend="python2"/> and
-      <xref linkend="zip"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="doxygen"/> and
-      <xref linkend="makedepend"/>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/JS"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of JS</title>
-
-    <para>
-      Install <application>JS</application> by running the
-      following commands:
-    </para>
-
-<screen><userinput>cd js/src &amp;&amp;
-./configure --prefix=/usr       \
-            --enable-readline   \
-            --enable-threadsafe \
-            --with-system-ffi   \
-            --with-system-nspr &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      To test the results, issue: <command>make check</command>.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem>
-      user:
-    </para>
-
-<screen role="root"><userinput>make install &amp;&amp;
-find /usr/include/js-17.0/            \
-     /usr/lib/libmozjs-17.0.a         \
-     /usr/lib/pkgconfig/mozjs-17.0.pc \
-     -type f -exec chmod -v 644 {} +</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <option>--enable-threadsafe</option>: This switch enables
-      support for multiple threads.
-    </para>
-
-    <para>
-      <option>--enable-readline</option>: This switch enables
-      <application>Readline</application> support in JS shell.
-    </para>
-
-    <para>
-      <option>--with-system-ffi</option>: This switch forces the
-      package to link to the system version of <application>libffi</application>
-      instead of using its included, and now old, version.
-    </para>
-
-    <para>
-      <option>--with-system-nspr</option>: This switch forces the
-      package to link to the system version of <application>NSPR</application>
-      instead of using its included, and now old, version.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>
-          js17 and js17-config
-        </seg>
-        <seg>
-          libmozjs-17.0.a and libmozjs-17.0.so
-        </seg>
-        <seg>
-          /usr/include/js-17.0
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="js17">
-        <term><command>js17</command></term>
-        <listitem>
-          <para>
-            provides a command line interface to the JavaScript engine.
-          </para>
-          <indexterm zone="JS js17">
-            <primary sortas="b-js17">js17</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="js17-config">
-        <term><command>js17-config</command></term>
-        <listitem>
-          <para>
-            is used to find out <application>JS</application>
-            compiler and linker flags.
-          </para>
-          <indexterm zone="JS js17-config">
-            <primary sortas="b-js17-config">js17-config</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libmozjs">
-        <term><filename class="libraryfile">libmozjs-17.0.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>Mozilla JavaScript</application> API functions.
-          </para>
-          <indexterm zone="JS libmozjs">
-            <primary sortas="c-libmozjs">libmozjs-17.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: general/genutils/libiodbc.xml
===================================================================
--- general/genutils/libiodbc.xml	(revision 8d4b121cf210ea567b3d1bfe0e80d840fd5e3d74)
+++ 	(revision )
@@ -1,174 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY libiodbc-download-http "&sourceforge-repo;/project/iodbc/iodbc/&libiodbc-version;/libiodbc-&libiodbc-version;.tar.gz">
-  <!ENTITY libiodbc-download-ftp  " ">
-  <!ENTITY libiodbc-md5sum        "9889f95f632f10895ff53b8a22162810">
-  <!ENTITY libiodbc-size          "1.0 MB">
-  <!ENTITY libiodbc-buildsize     "27 MB">
-  <!ENTITY libiodbc-time          "0.3 SBU">
-]>
-
-<sect1 id="libiodbc" xreflabel="libiodbc-&libiodbc-version;">
-  <?dbhtml filename="libiodbc.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>libiodbc-&libiodbc-version;</title>
-
-  <indexterm zone="libiodbc">
-    <primary sortas="a-libiodbc">libiodbc</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to libiodbc</title>
-
-    <para><application>libiodbc</application> is an API to ODBC compatible
-    databases.</para>
-
-    &lfs73_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>Download (HTTP): <ulink url="&libiodbc-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download (FTP): <ulink url="&libiodbc-download-ftp;"/></para>
-      </listitem>
-      <listitem>
-        <para>Download MD5 sum: &libiodbc-md5sum;</para>
-      </listitem>
-      <listitem>
-        <para>Download size: &libiodbc-size;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated disk space required: &libiodbc-buildsize;</para>
-      </listitem>
-      <listitem>
-        <para>Estimated build time: &libiodbc-time;</para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">libiodbc Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-    <xref linkend="gtk2"/> (to create the GUI admin tool)
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/libiodbc"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of libiodbc</title>
-
-    <para>
-      Install <application>libiodbc</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr                   \
-            --with-iodbc-inidir=/etc/iodbc  \
-            --includedir=/usr/include/iodbc \
-            --disable-libodbc               &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>--with-iodbc-inidir</parameter>: <application>libiodbc</application>
-      will install configuration files in this directory.
-    </para>
-
-    <para>
-      <parameter>--includedir=/usr/include/iodbc</parameter>: This installs the
-      interface headers to a private directory to avoid a conflict with headers
-      installed by <application>unixODBC</application>.
-    </para>
-
-    <para>
-      <parameter>--disable-libodbc</parameter>: This prevents the installation
-      of the <filename class="symlink">libodbc.so</filename> symbolic link to
-      avoid a conflict with <application>unixODBC</application>.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>iodbc-config, iodbctest, iodbctestw, and iodbcadm</seg>
-        <seg>libiodbc.{a,so}, libiodbcinst.{a,so}, and
-        libiodbcadm.{a,so}</seg>
-        <seg>/usr/include/iodbc, /usr/share/libiodbc, and /etc/iodbc</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="iodbc-config">
-        <term><command>iodbc-config</command></term>
-        <listitem>
-          <para>is a utility for retrieving the installation options of libiodbc.</para>
-          <indexterm zone="libiodbc iodbc-config">
-            <primary sortas="b-iodbc-config">iodbc-config</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="iodbctest">
-        <term><command>iodbctest{,w}</command></term>
-        <listitem>
-          <para>are interactive SQL processors.</para>
-          <indexterm zone="libiodbc iodbctest">
-            <primary sortas="b-iodbctest">iodbctest</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="iodbcadm">
-        <term><command>iodbcadm</command></term>
-        <listitem>
-          <para>is a graphical administration utility.</para>
-          <indexterm zone="libiodbc iodbcadm">
-            <primary sortas="b-iodbcadm">iodbcadm</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>