Index: lxqt/desktop/lxqt-kconfig.xml
===================================================================
--- lxqt/desktop/lxqt-kconfig.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/lxqt-kconfig.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -114,23 +114,5 @@
 
   </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>-DCMAKE_INSTALL_LIBEXECDIR=libexec</parameter>: This overrides
-      the default in extra-cmake-modules, which is <filename
-      class="directory">/usr/lib/libexec</filename> and is not FHS compliant.
-    </para>
-
-    <para>
-      <parameter>-DKDE_INSTALL_USE_QT_SYS_PATHS=ON</parameter>: This forces
-      installation of Qt plugins in the same directory as <xref linkend="qt5"/>
-      itself. Otherwise they get installed into <filename
-      class="directory">/usr/mkspecs</filename>, which is not FHS compliant.
-    </para>
-
-  </sect2>
--->
+
   <sect2 role="content">
     <title>Contents</title>
Index: lxqt/desktop/lxqt-kidletime.xml
===================================================================
--- lxqt/desktop/lxqt-kidletime.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/lxqt-kidletime.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -117,23 +117,5 @@
 
   </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
 
-    <para>
-      <parameter>-DCMAKE_INSTALL_LIBEXECDIR=libexec</parameter>: This overrides
-      the default in extra-cmake-modules, which is <filename
-      class="directory">/usr/lib/libexec</filename> and is not FHS compliant.
-    </para>
-
-    <para>
-      <parameter>-DKDE_INSTALL_USE_QT_SYS_PATHS=ON</parameter>: This forces
-      installation of Qt plugins in the same directory as <xref linkend="qt5"/>
-      itself. Otherwise they get installed into <filename
-      class="directory">/usr/mkspecs</filename>, which is not FHS compliant.
-    </para>
-
-  </sect2>
--->
   <sect2 role="content">
     <title>Contents</title>
Index: lxqt/desktop/lxqt-kwayland.xml
===================================================================
--- lxqt/desktop/lxqt-kwayland.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/lxqt-kwayland.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -117,23 +117,5 @@
 
   </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
 
-    <para>
-      <parameter>-DCMAKE_INSTALL_LIBEXECDIR=libexec</parameter>: This overrides
-      the default in extra-cmake-modules, which is <filename
-      class="directory">/usr/lib/libexec</filename> and is not FHS compliant.
-    </para>
-
-    <para>
-      <parameter>-DKDE_INSTALL_USE_QT_SYS_PATHS=ON</parameter>: This forces
-      installation of Qt plugins in the same directory as <xref linkend="qt5"/>
-      itself. Otherwise they get installed into <filename
-      class="directory">/usr/mkspecs</filename>, which is not FHS compliant.
-    </para>
-
-  </sect2>
--->
   <sect2 role="content">
     <title>Contents</title>
Index: lxqt/desktop/lxqt-kwindowsystem.xml
===================================================================
--- lxqt/desktop/lxqt-kwindowsystem.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/lxqt-kwindowsystem.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -123,23 +123,5 @@
 
   </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
 
-    <para>
-      <parameter>-DCMAKE_INSTALL_LIBEXECDIR=libexec</parameter>: This overrides
-      the default in extra-cmake-modules, which is <filename
-      class="directory">/usr/lib/libexec</filename> and is not FHS compliant.
-    </para>
-
-    <para>
-      <parameter>-DKDE_INSTALL_USE_QT_SYS_PATHS=ON</parameter>: This forces
-      installation of Qt plugins in the same directory as <xref linkend="qt5"/>
-      itself. Otherwise they get installed into <filename
-      class="directory">/usr/mkspecs</filename>, which is not FHS compliant.
-    </para>
-
-  </sect2>
--->
   <sect2 role="content">
     <title>Contents</title>
Index: lxqt/desktop/lxqt-layer-shell.xml
===================================================================
--- lxqt/desktop/lxqt-layer-shell.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/lxqt-layer-shell.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -113,32 +113,7 @@
 
 <screen role="root"><userinput>make install</userinput></screen>
-<!--
-    <para revision="sysv">
-      Next, remove a systemd unit which serves no purpose on a SysV system as
-      the &root; user:
-    </para>
-
-<screen role="root" revision="sysv"><userinput>rm -v /usr/lib/systemd/user/plasma-kscreen.service</userinput></screen>
--->
-  </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>-DCMAKE_INSTALL_LIBEXECDIR=libexec</parameter>: This overrides
-      the default in extra-cmake-modules, which is <filename
-      class="directory">/usr/lib/libexec</filename> and is not FHS compliant.
-    </para>
-
-    <para>
-      <parameter>-DKDE_INSTALL_USE_QT_SYS_PATHS=ON</parameter>: This forces
-      installation of Qt plugins in the same directory as <xref linkend="qt5"/>
-      itself. Otherwise they get installed into <filename
-      class="directory">/usr/mkspecs</filename>, which is not FHS compliant.
-    </para>
 
   </sect2>
--->
+
   <sect2 role="content">
     <title>Contents</title>
@@ -163,47 +138,5 @@
       </seglistitem>
     </segmentedlist>
-<!--
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="layer-shell-kscreen-doctor">
-        <term><command>kscreen-doctor</command></term>
-        <listitem>
-          <para>
-            allows modifying the screen setup from the command line
-          </para>
-          <indexterm zone="layer-shell-qt lxqt-layer-shell-kscreen-doctor">
-            <primary sortas="b-kscreen-doctor">kscreen-doctor</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="lxqt-layer-shell-lib">
-        <term><filename class="libraryfile">libKF6Screen.so</filename></term>
-        <listitem>
-          <para>
-            contains the KDE Screen Management library
-          </para>
-          <indexterm zone="lxqt-layer-shell-lib">
-            <primary sortas="c-libKF6Screen">libKF6Screen.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-        <varlistentry id="lxqt-layer-shell-dpms-lib">
-        <term><filename class="libraryfile">libKF6ScreenDpms.so</filename></term>
-        <listitem>
-          <para>
-            contains API functions for handling DPMS
-          </para>
-          <indexterm zone="lxqt-layer-shell-dpms-lib">
-            <primary sortas="c-libKF6ScreenDpms">libKF6ScreenDpms.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-    </variablelist>
--->
   </sect2>
 
Index: lxqt/desktop/lxqt-libkscreen.xml
===================================================================
--- lxqt/desktop/lxqt-libkscreen.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/lxqt-libkscreen.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -121,23 +121,5 @@
 
   </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
 
-    <para>
-      <parameter>-DCMAKE_INSTALL_LIBEXECDIR=libexec</parameter>: This overrides
-      the default in extra-cmake-modules, which is <filename
-      class="directory">/usr/lib/libexec</filename> and is not FHS compliant.
-    </para>
-
-    <para>
-      <parameter>-DKDE_INSTALL_USE_QT_SYS_PATHS=ON</parameter>: This forces
-      installation of Qt plugins in the same directory as <xref linkend="qt5"/>
-      itself. Otherwise they get installed into <filename
-      class="directory">/usr/mkspecs</filename>, which is not FHS compliant.
-    </para>
-
-  </sect2>
--->
   <sect2 role="content">
     <title>Contents</title>
Index: lxqt/desktop/lxqt-solid.xml
===================================================================
--- lxqt/desktop/lxqt-solid.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/lxqt-solid.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -127,23 +127,5 @@
 
   </sect2>
-<!--
-  <sect2 role="commands">
-    <title>Command Explanations</title>
 
-    <para>
-      <parameter>-DCMAKE_INSTALL_LIBEXECDIR=libexec</parameter>: This overrides
-      the default in extra-cmake-modules, which is <filename
-      class="directory">/usr/lib/libexec</filename> and is not FHS compliant.
-    </para>
-
-    <para>
-      <parameter>-DKDE_INSTALL_USE_QT_SYS_PATHS=ON</parameter>: This forces
-      installation of Qt plugins in the same directory as <xref linkend="qt5"/>
-      itself. Otherwise they get installed into <filename
-      class="directory">/usr/mkspecs</filename>, which is not FHS compliant.
-    </para>
-
-  </sect2>
--->
   <sect2 role="content">
     <title>Contents</title>
Index: lxqt/desktop/pre-install.xml
===================================================================
--- lxqt/desktop/pre-install.xml	(revision 18958f2e5041e337318adf433cadb46481a7c8b6)
+++ lxqt/desktop/pre-install.xml	(revision 5866da0af8e753f735b9ddaab5e5cdcc837b5d7f)
@@ -35,7 +35,5 @@
         <para>
           Second, build the required parts of Qt. The full package, <xref
-          linkend="qt5"/> is quite long and has a lot of dependencies.  As an
-          alternative, the required components needed for LXQt can be built
-          using the procedures in <xref linkend="qt5-alternate"/>.
+          linkend="qt6"/> is quite long and has a lot of dependencies. 
         </para>
       </step>