Index: general.ent
===================================================================
--- general.ent	(revision ebf6b6e323e0d065e4bd83baf145f5aa0b7de156)
+++ general.ent	(revision 5899e13a8205d56273dc316c8c1502304e844352)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "26">                   <!-- Always 2 digits -->
+<!ENTITY day          "29">                   <!-- Always 2 digits -->
 <!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2010">
@@ -630,5 +630,5 @@
 <!ENTITY at-spi-version               "1.28.1">
 <!ENTITY gnome-mag-version            "0.15.9">
-<!ENTITY gnome-speech-version         "0.4.16">
+<!ENTITY gnome-speech-version         "0.4.25">
 <!ENTITY gok-version                  "1.2.5">
 <!ENTITY java-access-bridge-version   "1.18.0">
Index: gnome/add/gnome-speech.xml
===================================================================
--- gnome/add/gnome-speech.xml	(revision ebf6b6e323e0d065e4bd83baf145f5aa0b7de156)
+++ gnome/add/gnome-speech.xml	(revision 5899e13a8205d56273dc316c8c1502304e844352)
@@ -7,8 +7,8 @@
   <!ENTITY gnome-speech-download-http "&gnome-download-http;/gnome-speech/0.4/gnome-speech-&gnome-speech-version;.tar.bz2">
   <!ENTITY gnome-speech-download-ftp  "&gnome-download-ftp;/gnome-speech/0.4/gnome-speech-&gnome-speech-version;.tar.bz2">
-  <!ENTITY gnome-speech-md5sum        "381e2e9126e102ace9abb452c9087141">
-  <!ENTITY gnome-speech-size          "308 KB">
-  <!ENTITY gnome-speech-buildsize     "6 MB">
-  <!ENTITY gnome-speech-time          "0.2 SBU">
+  <!ENTITY gnome-speech-md5sum        "89cbc23fc131c33396c0346085759f63">
+  <!ENTITY gnome-speech-size          "329 KB">
+  <!ENTITY gnome-speech-buildsize     "4 MB">
+  <!ENTITY gnome-speech-time          "0.1 SBU">
 ]>
 
@@ -169,11 +169,9 @@
         <seg>festival-synthesis-driver, freetts-synthesis-driver,
         speechd-synthesis-driver and test-speech</seg>
-        <seg>libgnomespeech.{so,a}. Other drivers and libraries are also
+        <seg>libgnomespeech.so. Other drivers and libraries are also
         installed if you have enabled additional backends.</seg>
-        <seg>The following subdirectories of <envar>$GNOME_PREFIX</envar>/:
-        include/gnome-speech-1.0,
+        <seg><envar>$GNOME_PREFIX</envar>/{include/gnome-speech-1.0/gnome-speech,
         share/{doc/gnome-speech-&gnome-speech-version;,
-        gnome-speech,
-        idl/gnome-speech-1.0}</seg>
+        idl/gnome-speech-1.0}}</seg>
       </seglistitem>
     </segmentedlist>
@@ -196,9 +194,9 @@
 
       <varlistentry id="libgnomespeech">
-        <term><filename class='libraryfile'>libgnomespeech.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libgnomespeech.so</filename></term>
         <listitem>
           <para>provides the API for programs to convert text into speech.</para>
           <indexterm zone="gnome-speech libgnomespeech">
-            <primary sortas="c-libgnomespeech">libgnomespeech.{so,a}</primary>
+            <primary sortas="c-libgnomespeech">libgnomespeech.so</primary>
           </indexterm>
         </listitem>
Index: gnome/core/libbonobo.xml
===================================================================
--- gnome/core/libbonobo.xml	(revision ebf6b6e323e0d065e4bd83baf145f5aa0b7de156)
+++ gnome/core/libbonobo.xml	(revision 5899e13a8205d56273dc316c8c1502304e844352)
@@ -60,13 +60,13 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="ORBit2"/>,
+    <para role="required"><xref linkend="dbus-glib"/>,
+    <xref linkend="intltool"/>,
     <xref linkend="libxml2"/>,
+    <xref linkend="ORBit2"/>,
     <xref linkend="popt"/>,
-    <xref linkend="perl-xml-parser"/>, and
-    <xref linkend="dbus-glib"/></para>
+    <xref linkend="perl-xml-parser"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="x-window-system"/>,
-    <xref linkend="intltool"/>, and
+    <para role="optional"><xref linkend="x-window-system"/> and
     <xref linkend="gtk-doc"/></para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ebf6b6e323e0d065e4bd83baf145f5aa0b7de156)
+++ introduction/welcome/changelog.xml	(revision 5899e13a8205d56273dc316c8c1502304e844352)
@@ -43,4 +43,13 @@
 
     <listitem>
+      <para>April 29th, 2010</para>
+      <itemizedlist>
+        <listitem>
+          <para>[wblaszcz] - Updated to GNOME Speech-0.4.25.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>April 26th, 2010</para>
       <itemizedlist>