Index: general.ent
===================================================================
--- general.ent	(revision b642036d09438e272c0abfb1da795a17e70c30fe)
+++ general.ent	(revision 5944fc182d8692ac1ce09f75138ced60be1cc2c7)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "01">                   <!-- Always 2 digits -->
+<!ENTITY day          "02">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2018">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "January 1st, &year;">
+<!ENTITY releasedate  "January 2nd, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/json-c.xml
===================================================================
--- general/genlib/json-c.xml	(revision b642036d09438e272c0abfb1da795a17e70c30fe)
+++ general/genlib/json-c.xml	(revision 5944fc182d8692ac1ce09f75138ced60be1cc2c7)
@@ -81,5 +81,5 @@
   <sect2 role="installation">
     <title>Installation of JSON-C</title>
-
+<!--
     <note>
       <para>
@@ -87,5 +87,5 @@
       </para>
     </note>
-
+-->
     <para>
       Install <application>JSON-C</application> by running the following
@@ -93,6 +93,6 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static       &amp;&amp;
-make -j1</userinput></screen>
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
+make</userinput></screen>
 
     <para>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b642036d09438e272c0abfb1da795a17e70c30fe)
+++ introduction/welcome/changelog.xml	(revision 5944fc182d8692ac1ce09f75138ced60be1cc2c7)
@@ -42,4 +42,18 @@
     </listitem>
 -->
+    <listitem>
+      <para>January 2nd, 2018</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Add a patch to docbook-xsl to fix potential
+          problems with stack overflows during recursion.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcdio-2.0.0. Fixes
+          <ulink url="&blfs-ticket-root;10224">#10224</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>January 1st, 2018</para>
Index: multimedia/libdriv/libcdio.xml
===================================================================
--- multimedia/libdriv/libcdio.xml	(revision b642036d09438e272c0abfb1da795a17e70c30fe)
+++ multimedia/libdriv/libcdio.xml	(revision 5944fc182d8692ac1ce09f75138ced60be1cc2c7)
@@ -7,5 +7,5 @@
   <!ENTITY libcdio-download-http "&gnu-http;/libcdio/libcdio-&libcdio-version;.tar.gz">
   <!ENTITY libcdio-download-ftp  "&gnu-ftp;/libcdio/libcdio-&libcdio-version;.tar.gz">
-  <!ENTITY libcdio-md5sum        "87867d41b807c73a11d368a346a26a68">
+  <!ENTITY libcdio-md5sum        "0cb25905113b930e4539d2f4eb6574b0">
   <!ENTITY libcdio-size          "2.2 MB">
   <!ENTITY libcdio-buildsize     "39 MB (both packages, including checks)">
Index: packages.ent
===================================================================
--- packages.ent	(revision b642036d09438e272c0abfb1da795a17e70c30fe)
+++ packages.ent	(revision 5944fc182d8692ac1ce09f75138ced60be1cc2c7)
@@ -788,5 +788,5 @@
 <!ENTITY libcanberra-version          "0.30">
 <!ENTITY libcddb-version              "1.3.2">
-<!ENTITY libcdio-version              "1.1.0">
+<!ENTITY libcdio-version              "2.0.0">
 <!ENTITY libdiscid-version            "0.6.2">
 <!ENTITY libdvdcss-version            "1.4.0">
Index: pst/xml/docbook-xsl.xml
===================================================================
--- pst/xml/docbook-xsl.xml	(revision b642036d09438e272c0abfb1da795a17e70c30fe)
+++ pst/xml/docbook-xsl.xml	(revision 5944fc182d8692ac1ce09f75138ced60be1cc2c7)
@@ -67,4 +67,12 @@
 
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing='compact'>
+      <listitem>
+          <para>Required patch: <ulink
+            url="&patch-root;/docbook-xsl-&docbook-xsl-version;-stack_fix-1.patch"/>
+         </para>
+      </listitem>
+    </itemizedlist>
+
     <itemizedlist spacing="compact">
       <title>Optional documentation</title>
@@ -87,17 +95,21 @@
     <bridgehead renderas="sect4">Optional (all used at runtime)</bridgehead>
     <para role="optional">
-      <xref role="runtime" linkend="apache-ant"/> (to produce <quote>webhelp</quote> documents),
-      <xref role="runtime"  linkend="libxslt"/> (or any other XSLT processor), to process
-      Docbook documents - the <application>Python2</application> modules
-      libxml2 and libxslt can be used,
+      <xref role="runtime" linkend="apache-ant"/> 
+         (to produce <quote>webhelp</quote> documents),
+      <xref role="runtime"  linkend="libxslt"/> 
+         (or any other XSLT processor), to process
+          Docbook documents - the <application>Python2</application> modules
+          libxml2 and libxslt can be used,
       <xref role="runtime" linkend="python2"/> (at runtime),
-      <xref role="runtime" linkend="ruby"/> (to utilize the <quote>epub</quote> stylesheets),
-      <xref role="runtime" linkend="zip"/> (to produce <quote>epub3</quote> documents), and
+      <xref role="runtime" linkend="ruby"/> 
+         (to utilize the <quote>epub</quote> stylesheets),
+      <xref role="runtime" linkend="zip"/> 
+         (to produce <quote>epub3</quote> documents), and
       <ulink url="http://sourceforge.net/projects/saxon/files/saxon6/">
         Saxon6
       </ulink> and
       <ulink url="http://xerces.apache.org/xerces2-j/">Xerces2 Java</ulink>
-      (used with <xref role="runtime" linkend="apache-ant"/> to produce <quote>webhelp</quote>
-      documents)
+         (used with <xref role="runtime" linkend="apache-ant"/> 
+          to produce <quote>webhelp</quote> documents)
     </para>
 
@@ -109,4 +121,8 @@
   <sect2 role="installation">
     <title>Installation of DocBook XSL Stylesheets</title>
+
+    <para>First, fix a problem that causes stack overflows when doing recursion:</para>
+
+<screen><userinput>patch -Np1 -i ../docbook-xsl-&docbook-xsl-version;-stack_fix-1.patch</userinput></screen>
 
     <para>If you downloaded the optional documentation tarball, unpack it