Index: general.ent
===================================================================
--- general.ent	(revision df0e196283b39a11e788f35e6410dc9e700b7996)
+++ general.ent	(revision 5962f975df79d9f2febc9137e5a4645145c51c04)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "06">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "08">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 6th, &year;">
+<!ENTITY releasedate  "August 7th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/prog/perl-deps.xml
===================================================================
--- general/prog/perl-deps.xml	(revision df0e196283b39a11e788f35e6410dc9e700b7996)
+++ general/prog/perl-deps.xml	(revision 5962f975df79d9f2febc9137e5a4645145c51c04)
@@ -83,4 +83,9 @@
       <listitem>
         <para>
+          <xref linkend="perl-b-cow"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
           <xref linkend="perl-b-hooks-endofscope"/>
         </para>
@@ -564,4 +569,7 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-deps/perl-b-cow.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="perl-deps/perl-b-hooks-endofscope.xml"/>
 
Index: general/prog/perl-deps/perl-clone.xml
===================================================================
--- general/prog/perl-deps/perl-clone.xml	(revision df0e196283b39a11e788f35e6410dc9e700b7996)
+++ general/prog/perl-deps/perl-clone.xml	(revision 5962f975df79d9f2febc9137e5a4645145c51c04)
@@ -9,5 +9,5 @@
   <!ENTITY my-download-http "&metacpan_authors;/A/AT/ATOOMIC/Clone-&Clone-version;.tar.gz">
  <!-- only one of the above choices -->
-  <!ENTITY my-md5sum "12e2247a3c9802bae774daac32d083c1">
+  <!ENTITY my-md5sum "b101333499b638658f89e29458cd83c0">
 
 ]>
@@ -45,9 +45,13 @@
       </itemizedlist>
 
+      <bridgehead renderas="sect4">Clone Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Recommended (required for the testsuite)</bridgehead>
+      <para role="recommended">
+        <xref linkend="perl-b-cow"/>,
+
+      </para>
+
     </sect3>
-
-      <!-- omit dependencies if not needed.
-       With Clone-0.43 B::COW is claimed to be needed, but not referenced in the
-       installed module. It is referenced in test, but they all pass without it. -->
 
     <sect3 role="installation">
Index: general/prog/perl-deps/perl-test-requires.xml
===================================================================
--- general/prog/perl-deps/perl-test-requires.xml	(revision df0e196283b39a11e788f35e6410dc9e700b7996)
+++ general/prog/perl-deps/perl-test-requires.xml	(revision 5962f975df79d9f2febc9137e5a4645145c51c04)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&metacpan_authors;/T/TO/TOKUHIROM/Test-Requires-&Test-Requires-version;.tar.gz">
-  <!ENTITY my-md5sum "0d5da779609d0c8fa6f796b45ff8c6f3">
+  <!ENTITY my-md5sum "999d6c4e46ea7baae7a5113292e02ed8">
 
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision df0e196283b39a11e788f35e6410dc9e700b7996)
+++ introduction/welcome/changelog.xml	(revision 5962f975df79d9f2febc9137e5a4645145c51c04)
@@ -43,4 +43,16 @@
     -->
     <listitem>
+      <para>August 7th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Updated to Clone-0.45 with its new dependency of
+          B-COW-0.004. Also updated to Test-Requires-0.11
+          (perl module dependencies), part of
+          <ulink url="&blfs-ticket-root;13844">#13844</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>August 6th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision df0e196283b39a11e788f35e6410dc9e700b7996)
+++ packages.ent	(revision 5962f975df79d9f2febc9137e5a4645145c51c04)
@@ -440,4 +440,5 @@
 <!ENTITY Alien-Build-version          "2.26">
 <!ENTITY Alien-Libxml2-version        "0.16">
+<!ENTITY B-COW-version                "0.004">
 <!ENTITY B-Hooks-EndOfScope-version   "0.24">
 <!ENTITY Business-ISBN-Data-version   "20191107">
@@ -447,5 +448,5 @@
 <!ENTITY Class-Singleton-version      "1.5">
 <!ENTITY Class-Tiny-version           "1.006">
-<!ENTITY Clone-version                "0.43">
+<!ENTITY Clone-version                "0.45">
 <!ENTITY Config-AutoConf-version      "0.318">
 <!ENTITY CPAN-Meta-Check-version      "0.014">
@@ -514,5 +515,5 @@
 <!ENTITY Test-MockModule-version      "v0.173.0">
 <!ENTITY Test-Needs-version           "0.002006">
-<!ENTITY Test-Requires-version        "0.10">
+<!ENTITY Test-Requires-version        "0.11">
 <!ENTITY Test-RequiresInternet-version "0.05">
 <!ENTITY Test-utf8-version            "1.01">