Index: general.ent
===================================================================
--- general.ent	(revision bfa21f365386bbf1aa95d580a0aa6dd508e71c27)
+++ general.ent	(revision 6000a3e0e905d389fce71a7af99104ac62a866a1)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "16">                   <!-- Always 2 digits -->
+<!ENTITY day          "17">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 16th, &year;">
+<!ENTITY releasedate  "October 17th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/libxml2.xml
===================================================================
--- general/genlib/libxml2.xml	(revision bfa21f365386bbf1aa95d580a0aa6dd508e71c27)
+++ general/genlib/libxml2.xml	(revision 6000a3e0e905d389fce71a7af99104ac62a866a1)
@@ -7,8 +7,8 @@
   <!ENTITY libxml2-download-http "http://xmlsoft.org/sources/libxml2-&libxml2-version;.tar.gz">
   <!ENTITY libxml2-download-ftp  "ftp://xmlsoft.org/libxml2/libxml2-&libxml2-version;.tar.gz">
-  <!ENTITY libxml2-md5sum        "9c0cfef285d5c4a5c80d00904ddab380">
-  <!ENTITY libxml2-size          "5.0 MB">
-  <!ENTITY libxml2-buildsize     "100 MB">
-  <!ENTITY libxml2-time          "0.6 SBU">
+  <!ENTITY libxml2-md5sum        "9e6a9aca9d155737868b3dc5fd82f788">
+  <!ENTITY libxml2-size          "5.2 MB">
+  <!ENTITY libxml2-buildsize     "77 MB (additional 18 MB for the tests)">
+  <!ENTITY libxml2-time          "0.5 SBU (additional 0.2 SBU for the tests)">
   <!ENTITY testsuite-version     "20130923">
 ]>
@@ -110,8 +110,4 @@
     <title>Installation of libxml2</title>
 
-    <para>If you downloaded the testsuite, issue the following command:</para>
-
-<screen><userinput>tar xf ../xmlts&testsuite-version;.tar.gz</userinput></screen>
-
     <para>
       Install <application>libxml2</application> by running the following
@@ -122,6 +118,12 @@
 make</userinput></screen>
 
-    <para>
-      To test the results, issue: <command>make check</command>.
+    <para>If you downloaded the testsuite, issue the following command:</para>
+
+<screen><userinput>tar xf ../xmlts&testsuite-version;.tar.gz</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check &gt;
+      ../check.log</command>. A summary of the results can be obtained with
+      <command>grep -E '^Total|expected' ../check.log</command>.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision bfa21f365386bbf1aa95d580a0aa6dd508e71c27)
+++ introduction/welcome/changelog.xml	(revision 6000a3e0e905d389fce71a7af99104ac62a866a1)
@@ -46,4 +46,14 @@
 
     <listitem>
+      <para>October 17th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Update to libxml2-2.9.2.  Fixes 
+          <ulink url="&blfs-ticket-root;5697">#5697</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 16th, 2014</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision bfa21f365386bbf1aa95d580a0aa6dd508e71c27)
+++ packages.ent	(revision 6000a3e0e905d389fce71a7af99104ac62a866a1)
@@ -131,5 +131,5 @@
 <!ENTITY libusb-version               "1.0.19">
 <!ENTITY libusb-compat-version        "0.1.5">
-<!ENTITY libxml2-version              "2.9.1">
+<!ENTITY libxml2-version              "2.9.2">
 <!ENTITY libxslt-version              "1.1.28">
 <!ENTITY libzeitgeist-version         "0.3.18">
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision bfa21f365386bbf1aa95d580a0aa6dd508e71c27)
+++ xsoft/graphweb/firefox.xml	(revision 6000a3e0e905d389fce71a7af99104ac62a866a1)
@@ -131,11 +131,11 @@
       <xref linkend="gst10-plugins-good"/> and
       <xref linkend="gst10-libav"/> at runtime),
-      <ulink url="http://hunspell.sourceforge.net/">Hunspell</ulink>,
       <xref linkend="libnotify"/>,
       <xref linkend="openjdk"/>,
       <xref linkend="pulseaudio"/>,
       <xref linkend="startup-notification"/>,
-      <xref linkend="wget"/>, and
-      <xref linkend="wireless_tools"/> 
+      <xref linkend="wget"/>,
+      <xref linkend="wireless_tools"/>, and
+      <ulink url="http://hunspell.sourceforge.net/">Hunspell</ulink>
     </para>
 
Index: xsoft/graphweb/seamonkey.xml
===================================================================
--- xsoft/graphweb/seamonkey.xml	(revision bfa21f365386bbf1aa95d580a0aa6dd508e71c27)
+++ xsoft/graphweb/seamonkey.xml	(revision 6000a3e0e905d389fce71a7af99104ac62a866a1)
@@ -108,5 +108,8 @@
       <xref linkend="gst-plugins-base"/> (with
       <xref linkend="gst-plugins-good"/> and
-      <xref linkend="gst-ffmpeg"/> at runtime),
+      <xref linkend="gst-ffmpeg"/> at runtime), or
+      <xref linkend="gst10-plugins-base"/> (with
+      <xref linkend="gst10-plugins-good"/> and
+      <xref linkend="gst10-libav"/> at runtime),
       <xref linkend="libnotify"/>,
       <xref linkend="nspr"/>,
@@ -170,4 +173,6 @@
 # in about:config. If you do *not* have GStreamer 0.x.y, uncomment this line:
 #ac_add_options --disable-gstreamer
+# or uncomment this line, if you have GStreamer 1.x.y
+#ac_add_options --enable-gstreamer=1.0
 
 # Uncomment these if you have installed them:
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision bfa21f365386bbf1aa95d580a0aa6dd508e71c27)
+++ xsoft/other/thunderbird.xml	(revision 6000a3e0e905d389fce71a7af99104ac62a866a1)
@@ -127,6 +127,10 @@
       <xref linkend="dbus-glib"/>,
       <xref linkend="doxygen"/>,
+      <xref linkend="gst-plugins-base"/> (with
       <xref linkend="gst-plugins-good"/> and
-      <xref linkend="gst-ffmpeg"/>,
+      <xref linkend="gst-ffmpeg"/> at runtime), or
+      <xref linkend="gst10-plugins-base"/> (with
+      <xref linkend="gst10-plugins-good"/> and
+      <xref linkend="gst10-libav"/> at runtime),
       <xref linkend="libnotify"/>,
       <xref linkend="openjdk"/>,
@@ -174,6 +178,8 @@
 # GStreamer is necessary for H.264 video playback in HTML5 Video Player;
 # to be enabled, also remember to set "media.gstreamer.enabled" to "true"
-# in about:config. If you have installed GStreamer comment out this line:
-ac_add_options --disable-gstreamer
+# in about:config. If you do *not* have GStreamer 0.x.y, uncomment this line:
+#ac_add_options --disable-gstreamer
+# or uncomment this line, if you have GStreamer 1.x.y
+#ac_add_options --enable-gstreamer=1.0
 
 # Uncomment these lines if you have installed optional dependencies: